Index: xsoft/office/gimp.xml
===================================================================
--- xsoft/office/gimp.xml	(revision 752b0bca444e6745fa581af2fd2d97c6ef71147b)
+++ xsoft/office/gimp.xml	(revision 219f345a9b7d75e489be6394e40d0919b9c25597)
@@ -7,8 +7,8 @@
   <!ENTITY gimp-download-http "http://gd.tuwien.ac.at/graphics/gimp/gimp/v2.6/gimp-&gimp-version;.tar.bz2">
   <!ENTITY gimp-download-ftp  "ftp://ftp.gimp.org/pub/gimp/v2.6/gimp-&gimp-version;.tar.bz2">
-  <!ENTITY gimp-md5sum        "bb2939fe13e54fc7255cef5d097bb5dd">
+  <!ENTITY gimp-md5sum        "9f876ee63a0c4a4c83f50f32fb3bbe63">
   <!ENTITY gimp-size          "16 MB">
-  <!ENTITY gimp-buildsize     "349 MB to 530 MB (additional 78 MB to install help files)">
-  <!ENTITY gimp-time          "5.3 to 6.1 SBU (additional 0.8 SBU to run the test suite)">
+  <!ENTITY gimp-buildsize     "539 MB (additional 78 MB to install help files)">
+  <!ENTITY gimp-time          "5 SBU (additional 0.6 SBU to run the test suite)">
 
   <!ENTITY gimp-help-version  "2.6.0-html-en">
@@ -18,5 +18,5 @@
 ]>
 
-<sect1 id="gimp" xreflabel="GIMP-&gimp-version;">
+<sect1 id="gimp" xreflabel="Gimp-&gimp-version;">
   <?dbhtml filename="gimp.html" ?>
 
@@ -26,14 +26,14 @@
   </sect1info>
 
-  <title>GIMP-&gimp-version;</title>
+  <title>Gimp-&gimp-version;</title>
 
   <indexterm zone="gimp">
-    <primary sortas="a-GIMP">GIMP</primary>
+    <primary sortas="a-Gimp">Gimp</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to GIMP</title>
-
-    <para>The <application>GIMP</application> package contains
+    <title>Introduction to The Gimp</title>
+
+    <para>The <application>Gimp</application> package contains
     the GNU Image Manipulation Program. This is useful for
     photo retouching, image composition and image authoring.</para>
@@ -64,17 +64,8 @@
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-     <itemizedlist spacing="compact">
-      <title>Patches and Help System</title>
-      <listitem>
-         <para>Required patches: <ulink
-      url="&patch-root;/gimp-&gimp-version;-security_fix-1.patch"/>
-         and <ulink
-      url="&patch-root;/gimp-&gimp-version;-libpng_fix-1.patch"/>
-         </para>
-       </listitem>
-
-      <listitem>
-        <para>Optional help files: <ulink url="&gimp-help-download;"/> and/or
-        one or more of the other available languages - see <ulink
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Optional help files: <ulink url="&gimp-help-download;"/> or one
+        of the other available languages - see <ulink
         url="http://www.gimp.org/docs">gimp.org</ulink> for details.</para>
       </listitem>
@@ -85,7 +76,7 @@
         <para>Download size: &gimp-help-size;</para>
       </listitem>
-      </itemizedlist>
-
-    <bridgehead renderas="sect3">GIMP Dependencies</bridgehead>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Gimp Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -93,9 +84,11 @@
     <xref linkend="gegl"/>,
     <xref linkend="intltool"/>,
-    <xref linkend="perl-xml-parser"/></para>
+    <xref linkend="gtk2"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="libjpeg"/> and
-    <xref linkend="libtiff"/></para>
+    <para role="recommended"><xref linkend="libpng"/>,
+    <xref linkend="libjpeg"/>,
+    <xref linkend="libtiff"/> and
+    <xref linkend="pygtk"/> (including the gtk and pango modules).</para>
 
     <note>
@@ -116,35 +109,31 @@
     <xref linkend="libexif"/>,
     <xref linkend="librsvg"/>,
-    <xref linkend="libxml2"/>
-    <xref linkend="libxslt"/>,
     <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>,
     <xref linkend="poppler"/>,
-    <xref linkend="pygtk"/> (including the gtk and pango modules),
     an <xref linkend="server-mail"/> (that provides a
     <command>sendmail</command> program),
-    <xref linkend="webkitgtk"/> (this must be compiled with <application>gtk+-2</application>),
-    <xref linkend="x-window-system"/>,
+    <xref linkend="webkitgtk"/> (this must be compiled with
+    <application>gtk+-2</application> backend, The
+    <application>Gimp</application> uses <application>Webkit</application> to
+    create it's help browser)
     and <xref linkend="gtk-doc"/></para>
 
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/gimp"/></para>
-
   </sect2>
 
   <sect2 role="installation">
-    <title>Installation of GIMP</title>
-
-    <para>Install <application>GIMP</application> by running
+    <title>Installation of The Gimp</title>
+
+    <para>Install The <application>Gimp</application> by running
     the following commands:</para>
 
-<screen><userinput>patch -Np1 -i ../gimp-&gimp-version;-security_fix-1.patch &amp;&amp;
-patch -Np1 -i ../gimp-&gimp-version;-libpng_fix-1.patch &amp;&amp;
-./configure --prefix=/usr \
-            --sysconfdir=/etc &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make -k check</command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
@@ -152,5 +141,5 @@
     <para>The <filename>gimp-help</filename> tarball contains preformatted HTML
     for use with external web browsers, the internal
-    <application>GIMP</application> help browser, and HTML renderers.</para>
+    <application>Gimp</application> help browser, and HTML renderers.</para>
 
     <para>If you downloaded the <filename>gimp-help</filename> tarball, unpack
@@ -160,16 +149,8 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
-  <sect2 role="commands" id='gimp-cmd-explanations'>
+  <sect2 role="commands" id="gimp-cmd-explanations">
     <title>Command Explanations</title>
-
-    <!-- <para><parameter>-datadir=/usr/share</parameter>: This parameter is
-    required because there is a subtle bug in
-    <application>Autoconf-&lfs-autoconf-version;</application> which causes the
-    <command>configure</command> script to mishandle the
-    <envar>datarootdir</envar> variable. Fortunately, passing
-    <parameter>-datadir=</parameter> works around the problem.</para> -->
 
     <para><command>make -k check</command>: Although all the tests themselves
@@ -177,4 +158,7 @@
     fail with a warning message for the maintainer.</para>
 
+    <para><option>--without-libpng</option>: This option is necessary if
+    <application>libpng</application> is not installed.</para>
+
     <para><option>--without-libjpeg</option>: This option is necessary if
     <application>libjpeg</application> is not installed.</para>
@@ -184,14 +168,12 @@
 
     <para><option>--disable-python</option>: This option is necessary if
-    you installed <application>python</application> but have not installed
-    <application>pygtk</application>.</para>
+    you have not installed <application>pygtk</application>.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>
-
   </sect2>
 
   <sect2 role="configuration">
-    <title>Configuring GIMP</title>
+    <title>Configuring The Gimp</title>
 
     <sect3 id="gimp-config">
@@ -208,5 +190,4 @@
         <primary sortas="e-etc-gimp-2.0-star">/etc/gimp/2.0/*</primary>
       </indexterm>
-
     </sect3>
 
@@ -214,8 +195,8 @@
       <title>Configuration Information</title>
 
-      <para><application>GIMP</application> executes a configuration wizard
+      <para>The <application>Gimp</application> executes a configuration wizard
       for each user upon their initial use of the program.</para>
 
-      <para><application>GIMP</application> executes the
+      <para>The <application>Gimp</application> executes the
       <command>firefox</command> web browser by default to view the help
       files.  If you do not have <application>firefox</application>, or
@@ -227,7 +208,5 @@
 
 <screen role="root"><userinput>echo '(web-browser "<replaceable>&lt;browser&gt;</replaceable> %s")' &gt;&gt; /etc/gimp/2.0/gimprc</userinput></screen>
-
     </sect3>
-
   </sect2>
 
@@ -244,7 +223,7 @@
         and gimptool-2.0</seg>
         <seg>libgimp-2.0.so, libgimpbase-2.0.so, libgimpcolor-2.0.so,
-        libgimpconfig-2.0.so, libgimpmath-2.0.so, libgimpmodule-2.0.so, libgimpthumb-2.0.so,
-        libgimpui-2.0.so, libgimpwidgets-2.0.so, and many other modules and
-        plugin libraries</seg>
+        libgimpconfig-2.0.so, libgimpmath-2.0.so, libgimpmodule-2.0.so,
+        libgimpthumb-2.0.so, libgimpui-2.0.so, libgimpwidgets-2.0.so, and many
+        other modules and plugin libraries</seg>
         <seg>/etc/gimp, /usr/include/gimp-2.0, /usr/lib/gimp,
         /usr/share/gimp and
@@ -271,5 +250,5 @@
         <term><command>gimp-2.6</command></term>
         <listitem>
-          <para>is an image manipulation program. It works with a variety
+          <para>is the Gnu Image Manipulation Program. It works with a variety
           of image formats and provides a large selection of tools.</para>
           <indexterm zone="gimp gimp-2.6">
@@ -292,6 +271,6 @@
         <term><command>gimp-console-2.6</command></term>
         <listitem>
-          <para>is a console program that behaves as if
-          <application>GIMP</application> was called with the
+          <para>is a console program that behaves as if The
+          <application>Gimp</application> was called with the
           <option>--no-interface</option> command-line option.</para>
           <indexterm zone="gimp gimp-console-2.6">
@@ -307,6 +286,6 @@
           if they are distributed in one source file.
           <command>gimptool-2.0</command> can also be used by programs that
-          need to know what libraries and include-paths
-          <application>GIMP</application> was compiled with.</para>
+          need to know what libraries and include-paths The
+          <application>Gimp</application> was compiled with.</para>
           <indexterm zone="gimp gimptool-2.0">
             <primary sortas="b-gimptool-2.0">gimptool-2.0</primary>
@@ -316,7 +295,7 @@
 
       <varlistentry id="libgimp-2.0">
-        <term><filename class='libraryfile'>libgimp-2.0.so</filename></term>
-        <listitem>
-          <para> provides C bindings for <application>GIMP</application>'s
+        <term><filename class="libraryfile">libgimp-2.0.so</filename></term>
+        <listitem>
+          <para> provides C bindings for The <application>Gimp</application>'s
           Procedural Database (PDB) which offers an interface to core functions
           and to functionality provided by plug-ins.</para>
@@ -328,11 +307,11 @@
 
       <varlistentry id="libgimpbase-2.0">
-        <term><filename class='libraryfile'>libgimpbase-2.0.so</filename></term>
-        <listitem>
-          <para>provides the C functions for basic <application>GIMP</application>
-          functionality such as determining enumeration data types, gettext
-          translation, determining <application>GIMP</application>'s version
-          number and capabilities, handling data files and accessing the
-          environment.</para>
+        <term><filename class="libraryfile">libgimpbase-2.0.so</filename></term>
+        <listitem>
+          <para>provides the C functions for basic
+          <application>Gimp</application> functionality such as determining
+          enumeration data types, gettext translation, determining The
+          <application>Gimp</application>'s version number and capabilities,
+          handling data files and accessing the environment.</para>
           <indexterm zone="gimp libgimpbase-2.0">
             <primary sortas="c-libgimpbase-2.0">libgimpbase-2.0.so</primary>
@@ -342,9 +321,10 @@
 
       <varlistentry id="libgimpcolor-2.0">
-        <term><filename class='libraryfile'>libgimpcolor-2.0.so</filename></term>
+        <term><filename
+        class="libraryfile">libgimpcolor-2.0.so</filename></term>
         <listitem>
           <para>provides the C functions relating to RGB, HSV and CMYK colors as
-          well as converting colors between different color models and performing
-          adaptive supersampling on an area.</para>
+          well as converting colors between different color models and
+          performing adaptive supersampling on an area.</para>
           <indexterm zone="gimp libgimpcolor-2.0">
             <primary sortas="c-libgimpcolor-2.0">libgimpcolor-2.0.so</primary>
@@ -354,5 +334,6 @@
 
       <varlistentry id="libgimpconfig-2.0">
-        <term><filename class='libraryfile'>libgimpconfig-2.0.so</filename></term>
+        <term><filename
+        class="libraryfile">libgimpconfig-2.0.so</filename></term>
         <listitem>
           <para>contains C functions for reading and writing config information.
@@ -365,5 +346,5 @@
 
       <varlistentry id="libgimpmath-2.0">
-        <term><filename class='libraryfile'>libgimpmath-2.0.so</filename></term>
+        <term><filename class="libraryfile">libgimpmath-2.0.so</filename></term>
         <listitem>
           <para>contains C functions which provide mathematical definitions and
@@ -377,5 +358,6 @@
 
       <varlistentry id="libgimpmodule-2.0">
-        <term><filename class='libraryfile'>libgimpmodule-2.0.so</filename></term>
+        <term><filename
+        class="libraryfile">libgimpmodule-2.0.so</filename></term>
         <listitem>
           <para>provides the C functions which implements module loading using
@@ -389,8 +371,9 @@
 
       <varlistentry id="libgimpthumb-2.0">
-        <term><filename class='libraryfile'>libgimpthumb-2.0.so</filename></term>
-        <listitem>
-          <para>provides the C functions for handling
-          <application>GIMP</application>'s thumbnail objects.</para>
+        <term><filename
+        class="libraryfile">libgimpthumb-2.0.so</filename></term>
+        <listitem>
+          <para>provides the C functions for handling The
+          <application>Gimp</application>'s thumbnail objects.</para>
           <indexterm zone="gimp libgimpthumb-2.0">
             <primary sortas="c-libgimpthumb-2.0">libgimpthumb-2.0.so</primary>
@@ -400,7 +383,7 @@
 
       <varlistentry id="libgimpui-2.0">
-        <term><filename class='libraryfile'>libgimpui-2.0.so</filename></term>
-        <listitem>
-          <para>contains the <application>GIMP</application> common user
+        <term><filename class="libraryfile">libgimpui-2.0.so</filename></term>
+        <listitem>
+          <para>contains The <application>Gimp</application>'s common user
           interface functions.</para>
           <indexterm zone="gimp libgimpui-2.0">
@@ -411,18 +394,17 @@
 
       <varlistentry id="libgimpwidgets-2.0">
-        <term><filename class='libraryfile'>libgimpwidgets-2.0.so</filename></term>
-        <listitem>
-          <para>contains <application>GIMP</application>
-          and <application>GTK</application> widget creation and
+        <term><filename
+        class="libraryfile">libgimpwidgets-2.0.so</filename></term>
+        <listitem>
+          <para>contains The <application>Gimp</application>
+          and <application>GTK</application>'s widget creation and
           manipulation functions.</para>
           <indexterm zone="gimp libgimpwidgets-2.0">
-            <primary sortas="c-libgimpwidgets-2.0">libgimpwidgets-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
+            <primary
+            sortas="c-libgimpwidgets-2.0">libgimpwidgets-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
     </variablelist>
-
   </sect2>
-
 </sect1>