Index: general.ent
===================================================================
--- general.ent	(revision 874fec7ff2e0bf07376da4b8b8d1f441aa42d4fc)
+++ general.ent	(revision 220dad790ffe81c465d218614e9740c5308fa41a)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "16">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 15th, &year;">
+<!ENTITY releasedate  "February 16th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -725,5 +725,5 @@
 <!ENTITY gnome-disk-utility-version   "3.0.2">
 <!ENTITY gnome-system-monitor-version "3.2.1">
-<!ENTITY gnome-terminal-version       "2.30.2">
+<!ENTITY gnome-terminal-version       "3.2.1">
 <!ENTITY nautilus-version             "2.30.1">
 <!ENTITY yelp-version                 "2.30.1">
Index: gnome/core/gnome-terminal.xml
===================================================================
--- gnome/core/gnome-terminal.xml	(revision 874fec7ff2e0bf07376da4b8b8d1f441aa42d4fc)
+++ gnome/core/gnome-terminal.xml	(revision 220dad790ffe81c465d218614e9740c5308fa41a)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gnome-terminal-download-http "&gnome-download-http;/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.bz2">
-  <!ENTITY gnome-terminal-download-ftp  "&gnome-download-ftp;/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.bz2">
-  <!ENTITY gnome-terminal-md5sum        "74c4528f00067072c2bd867d1f8fe844">
-  <!ENTITY gnome-terminal-size          "2.1 MB">
-  <!ENTITY gnome-terminal-buildsize     "47 MB">
-  <!ENTITY gnome-terminal-time          "0.3 SBU">
+  <!ENTITY gnome-terminal-download-http "&gnome-download-http;/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-download-ftp  "&gnome-download-ftp;/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-md5sum        "0a09d8dcbee5a2300725008ee82054a3">
+  <!ENTITY gnome-terminal-size          "1.9 MB">
+  <!ENTITY gnome-terminal-buildsize     "49 MB">
+  <!ENTITY gnome-terminal-time          "0.4 SBU">
 ]>
 
@@ -33,5 +33,5 @@
     console. This is useful for executing programs from a command prompt.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -78,7 +78,6 @@
     running the following commands:</para>
 
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --sysconfdir=&gnome-etc-dir; \
-            --localstatedir=/var/lib &amp;&amp;
+<screen><userinput>./configure --prefix=$GNOME_PREFIX \
+            --sysconfdir=$GNOME_SYSCONFDIR &amp;&amp;
 make</userinput></screen>
 
@@ -99,10 +98,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome-sysconfdir.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/scrollkeeper-dir.xml"/>
-
-    <para><option>--disable-scrollkeeper</option>: Use this parameter if you
-    wish to disable the updates to the scrollkeeper database.</para>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 874fec7ff2e0bf07376da4b8b8d1f441aa42d4fc)
+++ introduction/welcome/changelog.xml	(revision 220dad790ffe81c465d218614e9740c5308fa41a)
@@ -43,4 +43,13 @@
 -->
     <listitem>
+      <para>February 16th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - merge gnome-terminal-3.2.1 from Wayne.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 15th, 2012</para>
       <itemizedlist>