Index: general.ent
===================================================================
--- general.ent	(revision 541a7515d79152f8547b83c0270fe3ae2212d293)
+++ general.ent	(revision 221dfeb2bd5a71b76a7d4332de90e68140bf2fca)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS systemd Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 20th, &year;">
+<!ENTITY releasedate  "September 21st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "systemd">              <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 541a7515d79152f8547b83c0270fe3ae2212d293)
+++ introduction/welcome/changelog.xml	(revision 221dfeb2bd5a71b76a7d4332de90e68140bf2fca)
@@ -44,4 +44,14 @@
 
 -->
+    <listitem>
+      <para>September 21st, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to thunderbird-31.1.1. Fixes
+          <ulink url="&blfs-ticket-root;5461">#5461</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>September 19th, 2014</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 541a7515d79152f8547b83c0270fe3ae2212d293)
+++ packages.ent	(revision 221dfeb2bd5a71b76a7d4332de90e68140bf2fca)
@@ -599,5 +599,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.20">
-<!ENTITY thunderbird-version          "31.0">
+<!ENTITY thunderbird-version          "31.1.1">
 <!ENTITY tigervnc-version             "1.3.1">
 <!ENTITY transmission-version         "2.84">
Index: xsoft/other/inkscape.xml
===================================================================
--- xsoft/other/inkscape.xml	(revision 541a7515d79152f8547b83c0270fe3ae2212d293)
+++ xsoft/other/inkscape.xml	(revision 221dfeb2bd5a71b76a7d4332de90e68140bf2fca)
@@ -138,5 +138,5 @@
 <screen><userinput>patch -Np1 -i ../inkscape-&inkscape-version;-gc-1.patch &amp;&amp;
 
-./configure --prefix=/usr  &amp;&amp;
+./configure --prefix=/usr  &amp;&amp; 
 make</userinput></screen>
 
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 541a7515d79152f8547b83c0270fe3ae2212d293)
+++ xsoft/other/thunderbird.xml	(revision 221dfeb2bd5a71b76a7d4332de90e68140bf2fca)
@@ -9,8 +9,8 @@
   <!ENTITY thunderbird-download-ftp
            "&mozilla-ftp;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.bz2">
-  <!ENTITY thunderbird-md5sum            "195ea7d3887eb49402ea7b3875b7ce15">
-  <!ENTITY thunderbird-size              "164 MB">
-  <!ENTITY thunderbird-buildsize         "3.7 GB (68 MB installed)">
-  <!ENTITY thunderbird-time              "45 SBU">
+  <!ENTITY thunderbird-md5sum            "92a36f2e4916529c1226aa283dc160a6">
+  <!ENTITY thunderbird-size              "163 MB">
+  <!ENTITY thunderbird-buildsize         "4.6 GB (62 MB installed)">
+  <!ENTITY thunderbird-time              "50 SBU">
 ]>
 
@@ -154,8 +154,8 @@
       accomplished by creating a <filename>mozconfig</filename> file containing
       the desired configuration options. A default
-      <filename>mozconfig</filename> is created below. To see the entire list of
-      available configuration options (and a brief description of each), issue
-      <command>./configure --help</command>. Create the file with the following
-      command:
+      <filename>mozconfig</filename> is created below. To see the entire list
+      of available configuration options (and a brief description of each),
+      issue <command>mozilla/configure --help</command>. Create the file with
+      the following command:
     </para>
 