Index: general.ent
===================================================================
--- general.ent	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ general.ent	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "07">                   <!-- Always 2 digits -->
+<!ENTITY day          "08">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 7th &year;">
+<!ENTITY releasedate  "December 8th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ introduction/welcome/changelog.xml	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -44,4 +44,22 @@
 
 -->
+
+    <listitem>
+      <para>December 8th, 2015</para>
+      <itemizedlist>
+       <listitem>
+         <para>[fernando] - Update to menu-cache-1.0.1. Fixes
+         <ulink url="&blfs-ticket-root;7227">#7227</ulink>.</para>
+        </listitem>
+       <listitem>
+         <para>[fernando] - Update to dovecot-2.2.20. Fixes
+         <ulink url="&blfs-ticket-root;7226">#7226</ulink>.</para>
+        </listitem>
+       <listitem>
+         <para>[fernando] - Update to p11-kit-0.23.2. Fixes
+         <ulink url="&blfs-ticket-root;7225">#7225</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: lxde/desktop/menu-cache.xml
===================================================================
--- lxde/desktop/menu-cache.xml	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ lxde/desktop/menu-cache.xml	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -7,7 +7,7 @@
   <!ENTITY menu-cache-download-http "&sourceforge-repo;/lxde/menu-cache-&menu-cache-version;.tar.xz">
   <!ENTITY menu-cache-download-ftp  " ">
-  <!ENTITY menu-cache-md5sum        "4a8e6c1a86d5e64ec725d850a4abfbad">
-  <!ENTITY menu-cache-size          "256 KB">
-  <!ENTITY menu-cache-buildsize     "3.2 MB (additional 0.6 MB to build and install the API documentation)">
+  <!ENTITY menu-cache-md5sum        "a856ba860b16fdc8c69ee784bc4ade36">
+  <!ENTITY menu-cache-size          "260 KB">
+  <!ENTITY menu-cache-buildsize     "3.8">
   <!ENTITY menu-cache-time          "less than 0.1 SBU">
 ]>
@@ -144,7 +144,5 @@
         </seg>
         <seg>
-          /usr/include/menu-cache,
-          /usr/libexec/menu-cache and
-          /usr/share/gtk-doc/html/libmenu-cache
+          /usr/{include,libexec,share/gtk-doc/html}/menu-cache
         </seg>
       </seglistitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ packages.ent	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -34,5 +34,5 @@
 <!ENTITY openssh-version              "7.1p1">
 <!ENTITY openssl-version              "1.0.2e">
-<!ENTITY p11-kit-version              "0.23.1">    <!-- Even minors only -->
+<!ENTITY p11-kit-version              "0.23.2">    <!-- Even minors only -->
 <!ENTITY polkit-version               "0.113">
 <!ENTITY shadow-version               "4.2.1">
@@ -419,5 +419,5 @@
 <!ENTITY dovecot-major                "2">
 <!ENTITY dovecot-minor                "2">
-<!ENTITY dovecot-micro                "19">
+<!ENTITY dovecot-micro                "20">
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
@@ -590,5 +590,5 @@
 <!ENTITY lxde-icon-theme-version      "0.5.1">
 <!ENTITY libfm-extra-version          "1.2.3">
-<!ENTITY menu-cache-version           "1.0.0">
+<!ENTITY menu-cache-version           "1.0.1">
 <!ENTITY libfm-version                "1.2.3">
 <!ENTITY pcmanfm-version              "1.2.3">
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ postlfs/security/p11-kit.xml	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -7,8 +7,8 @@
   <!ENTITY p11-kit-download-http "http://p11-glue.freedesktop.org/releases/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "96f073270c489c9a594e1c9413f42db8">
-  <!ENTITY p11-kit-size          "972 KB">
-  <!ENTITY p11-kit-buildsize     "64 MB (additional 6 MB for tests)">
-  <!ENTITY p11-kit-time          "0.3 SBU (additional 0.1 SBU for tests)">
+  <!ENTITY p11-kit-md5sum        "738af2442331fc22f440df9bee9b062a">
+  <!ENTITY p11-kit-size          "1000 KB">
+  <!ENTITY p11-kit-buildsize     "73 MB (with for tests)">
+  <!ENTITY p11-kit-time          "0.4 SBU (with for tests)">
 ]>
 
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision d7d743f007159efebd9e626dd3c2ae74fcbb5841)
+++ server/mail/dovecot.xml	(revision 224c3b23dd5ec1fe9b996ed18680597d3d742085)
@@ -8,8 +8,8 @@
   "http://www.dovecot.org/releases/&dovecot-major;.&dovecot-minor;/dovecot-&dovecot-version;.tar.gz">
   <!ENTITY dovecot-download-ftp  " ">
-  <!ENTITY dovecot-md5sum        "95591b6556413edc2f0b160fb469d04c">
-  <!ENTITY dovecot-size          "5.0 MB">
-  <!ENTITY dovecot-buildsize     "272 MB (additional 14 MB for the tests)">
-  <!ENTITY dovecot-time          "1.9 SBU (additional 0.4 SBU for the tests)">
+  <!ENTITY dovecot-md5sum        "2dbeff4385eff699caa6f6b81b838d0f">
+  <!ENTITY dovecot-size          "5.1 MB">
+  <!ENTITY dovecot-buildsize     "286 MB (with tests)">
+  <!ENTITY dovecot-time          "2.1 SBU (with tests)">
 ]>
 