Index: archive/libusb-compat.xml
===================================================================
--- archive/libusb-compat.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
+++ archive/libusb-compat.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -0,0 +1,161 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libusb-compat-download-http "&sourceforge-dl;/libusb/libusb-compat-&libusb-compat-version;.tar.bz2">
+  <!ENTITY libusb-compat-download-ftp  " ">
+  <!ENTITY libusb-compat-md5sum        "2780b6a758a1e2c2943bdbf7faf740e4">
+  <!ENTITY libusb-compat-size          "276 KB">
+  <!ENTITY libusb-compat-buildsize     "2.4 MB">
+  <!ENTITY libusb-compat-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="libusb-compat" xreflabel="libusb-compat-&libusb-compat-version;">
+  <?dbhtml filename="libusb-compat.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libusb-compat-&libusb-compat-version;</title>
+
+  <indexterm zone="libusb-compat">
+    <primary sortas="a-libusb-compat">libusb-compat</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libusb-compat</title>
+
+    <para>
+      The <application>libusb-compat</application> package aims to look,
+      feel and behave exactly like <application>libusb-0.1</application>. It is a
+      compatibility layer needed by packages that have not been upgraded to the
+      <application>libusb-1.0</application> API.
+    </para>
+
+    &lfs83_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libusb-compat-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libusb-compat-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libusb-compat-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libusb-compat-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libusb-compat-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libusb-compat-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libusb-compat Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libusb"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libusb-compat"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libusb-compat</title>
+
+    <para>
+      Install <application>libusb-compat</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>libusb-config</seg>
+        <seg>libusb.so</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libusb-config">
+        <term><command>libusb-config</command></term>
+        <listitem>
+          <para>
+           determines the compile and linker flags that should be used to compile
+           and link programs that use <filename class='libraryfile'>libusb</filename>.
+          </para>
+          <indexterm zone="libusb-compat libusb-config">
+            <primary sortas="b-libusb-config">libusb-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libusb-compat-lib">
+        <term><filename class='libraryfile'>libusb.so</filename></term>
+        <listitem>
+          <para>
+            is a library that is compatible with
+            <application>libusb-0.1</application>, but uses
+            <application>libusb-1.0</application> to provide functionality.
+          </para>
+          <indexterm zone="libusb-compat libusb-compat-lib">
+            <primary sortas="c-libusb-compat">libusb.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ general/genlib/genlib.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -115,5 +115,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libunistring.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libusb.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libusb-compat.xml"/>
+<!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libusb-compat.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libuv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libxkbcommon.xml"/>
Index: neral/genlib/libusb-compat.xml
===================================================================
--- general/genlib/libusb-compat.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ 	(revision )
@@ -1,161 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libusb-compat-download-http "&sourceforge-dl;/libusb/libusb-compat-&libusb-compat-version;.tar.bz2">
-  <!ENTITY libusb-compat-download-ftp  " ">
-  <!ENTITY libusb-compat-md5sum        "2780b6a758a1e2c2943bdbf7faf740e4">
-  <!ENTITY libusb-compat-size          "276 KB">
-  <!ENTITY libusb-compat-buildsize     "2.4 MB">
-  <!ENTITY libusb-compat-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="libusb-compat" xreflabel="libusb-compat-&libusb-compat-version;">
-  <?dbhtml filename="libusb-compat.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libusb-compat-&libusb-compat-version;</title>
-
-  <indexterm zone="libusb-compat">
-    <primary sortas="a-libusb-compat">libusb-compat</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libusb-compat</title>
-
-    <para>
-      The <application>libusb-compat</application> package aims to look,
-      feel and behave exactly like <application>libusb-0.1</application>. It is a
-      compatibility layer needed by packages that have not been upgraded to the
-      <application>libusb-1.0</application> API.
-    </para>
-
-    &lfs83_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&libusb-compat-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&libusb-compat-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &libusb-compat-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &libusb-compat-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &libusb-compat-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &libusb-compat-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libusb-compat Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libusb"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/libusb-compat"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libusb-compat</title>
-
-    <para>
-      Install <application>libusb-compat</application> by running the
-      following commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>libusb-config</seg>
-        <seg>libusb.so</seg>
-        <seg>None</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libusb-config">
-        <term><command>libusb-config</command></term>
-        <listitem>
-          <para>
-           determines the compile and linker flags that should be used to compile
-           and link programs that use <filename class='libraryfile'>libusb</filename>.
-          </para>
-          <indexterm zone="libusb-compat libusb-config">
-            <primary sortas="b-libusb-config">libusb-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libusb-compat-lib">
-        <term><filename class='libraryfile'>libusb.so</filename></term>
-        <listitem>
-          <para>
-            is a library that is compatible with
-            <application>libusb-0.1</application>, but uses
-            <application>libusb-1.0</application> to provide functionality.
-          </para>
-          <indexterm zone="libusb-compat libusb-compat-lib">
-            <primary sortas="c-libusb-compat">libusb.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ general/graphlib/poppler.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -170,5 +170,5 @@
        -DCMAKE_INSTALL_PREFIX=/usr  \
        -DTESTDATADIR=$PWD/testfiles \
-       -DENABLE_XPDF_HEADERS=ON     \
+       -DENABLE_UNSTABLE_API_ABI_HEADERS=ON     \
 <!--       -DENABLE_GTK_DOC=ON          \
 -->       ..                           &amp;&amp;
@@ -239,8 +239,7 @@
 
     <para>
-      <parameter>-DENABLE_XPDF_HEADERS=ON</parameter>: Install some old
+      <parameter>-DENABLE_UNSTABLE_API_ABI_HEADERS=ON</parameter>: Install some old
       <application>Xpdf</application> headers required by certain programs (e.g.
-      <application>Okular</application>, <application>LibreOffice</application>
-      and <application>Inkscape</application>).
+      <application>Inkscape</application>).
     </para>
 <!--  This was broken for me - Bruce
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ general/prog/php.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -7,8 +7,8 @@
   <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  " ">
-  <!ENTITY php-md5sum        "6b58a59106b0da4fdcba3bcf12cc3ca5">
+  <!ENTITY php-md5sum        "9c4df46b64582d3c3e8fb6f01a08158e">
   <!ENTITY php-size          "11 MB">
-  <!ENTITY php-buildsize     "577 MB (add 2 MB for tests, add 112 MB for documentation)">
-  <!ENTITY php-time          "1.2 SBU (with parallelism=4; add 2.8 SBU for tests)">
+  <!ENTITY php-buildsize     "577 MB (add 5 MB for tests, add 112 MB for documentation)">
+  <!ENTITY php-time          "1.2 SBU (with parallelism=4; add 2.7 SBU for tests)">
 ]>
 
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ general/prog/subversion.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -7,5 +7,5 @@
   <!ENTITY subversion-download-http "https://archive.apache.org/dist/subversion/subversion-&subversion-version;.tar.bz2">
   <!ENTITY subversion-download-ftp  " ">
-  <!ENTITY subversion-md5sum        "b0401a17fe9f4a769e36fcfcfad93461">
+  <!ENTITY subversion-md5sum        "5797bf701d2d868fa964c7bbc4931267">
   <!ENTITY subversion-size          "8.1 MB">
   <!-- for 1.11.0 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ introduction/welcome/changelog.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -47,4 +47,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to subversion-1.11.1. Fixes
+          <ulink url="&blfs-ticket-root;11540">#11540</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to php-7.3.1. Fixes
+          <ulink url="&blfs-ticket-root;11541">#11541</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Archive libusb-compat-0.1.5. Fixes
+          <ulink url="&blfs-ticket-root;11539">#11539</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Add a security patch for two CVEs in systemd-journald
           to the book. If you are a systemd user, please apply this patch as
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ multimedia/libdriv/alsa-oss.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>ALSA OSS-&alsa-oss-version;</title>
+  <title>alsa oss-&alsa-oss-version;</title>
 
   <indexterm zone="alsa-oss">
@@ -28,10 +28,10 @@
 
   <sect2 role="package">
-    <title>Introduction to ALSA OSS</title>
+    <title>Introduction to alsa-oss</title>
 
     <para>
-      The <application>ALSA OSS</application> package contains
-      the ALSA OSS compatibility library. This is used by programs
-      which wish to use the ALSA OSS sound interface.
+      The <application>alsa-oss</application> package contains
+      the alsa-oss compatibility library. This is used by programs
+      which wish to use the alsa-oss sound interface.
     </para>
 
@@ -72,5 +72,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">ALSA OSS Dependencies</bridgehead>
+    <bridgehead renderas="sect3">ALSA Oss Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -85,8 +85,8 @@
 
   <sect2 role="installation">
-    <title>Installation of ALSA OSS</title>
+    <title>Installation of ALSA Oss</title>
 
     <para>
-      Install <application>ALSA OSS</application> by running the
+      Install <application>ALSA Oss</application> by running the
       following commands:
     </para>
@@ -145,5 +145,5 @@
           <para>
             is a simple wrapper script which facilitates the use of the
-            ALSA OSS compatibility library. It just sets the appropriate
+            ALSA oss compatibility library. It just sets the appropriate
             <envar>LD_PRELOAD</envar> path and then runs the command.
           </para>
Index: packages.ent
===================================================================
--- packages.ent	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ packages.ent	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -345,5 +345,5 @@
 <!ENTITY scons-version                "3.0.0">
 <!ENTITY slang-version                "2.3.2">
-<!ENTITY subversion-version           "1.11.0">
+<!ENTITY subversion-version           "1.11.1">
 <!ENTITY swig-version                 "3.0.12">
 <!ENTITY tcl-version                  "8.6.9">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision b5d17476f28b34642046f88f5447f0e6df1a3c54)
+++ postlfs/security/gnupg2.xml	(revision 227b44ff58a59a9c0b6df69cb54d8cb0e401ca1a)
@@ -87,5 +87,5 @@
       <xref linkend="imagemagick"/> (for the <command>convert</command> utility,
       used for generating the documentation),
-      <xref linkend="libusb-compat"/>,
+      <xref linkend="libusb"/>,
       an <xref linkend="server-mail"/>,
       <xref linkend="openldap"/>,