Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision e9b9a7077bc8fd51a93c916dbfd1e391cd2717ba)
+++ general/prog/gcc.xml	(revision 229d06924a16001b642c88a78e297eff97f8697f)
@@ -7,8 +7,8 @@
   <!ENTITY gcc-download-http  "&gnu-http;/gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
   <!ENTITY gcc-download-ftp   "&gnu-ftp;/gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-  <!ENTITY gcc-md5sum         "e9fd9b1789155ad09bcf3ae747596b50">
-  <!ENTITY gcc-size           "72 MB">
-  <!ENTITY gcc-buildsize      "8.3 GB (2.8 GB installed with all listed languages; add 1.1 GB for tests)">
-  <!ENTITY gcc-time           "24 SBU (with parallelism=4, add 51 SBU for tests with parallelism=4)">
+  <!ENTITY gcc-md5sum         "77f6252be0861ab918042acf42bc10ff">
+  <!ENTITY gcc-size           "75 MB">
+  <!ENTITY gcc-buildsize      "10.1 GB (2.4 GB installed with all listed languages; add 1.3 GB for tests)">
+  <!ENTITY gcc-time           "28 SBU (with parallelism=4, add 73 SBU for tests with parallelism=4)">
 ]>
 
@@ -151,8 +151,9 @@
         installation process will overwrite your existing
         <application>GCC</application> C and C++ compilers and libraries.
-        Having the <application>Tcl</application>,
+        <!--Having the <application>Tcl</application>,
         <application>Expect</application> and <application>DejaGnu</application>
         packages installed before beginning the build is highly recommended so
-        you can run the full suite of tests.
+        you can run the full suite of tests.-->
+        Running the full squite of tests is recommended.
       </para>
 
@@ -204,5 +205,5 @@
       in the <quote>guality</quote> suite, as well as miscellaneous failures
       throughout the rest of the test suite. If all the compilers above are
-      built, there will be  around 120 unexpected failures out of over
+      built, there will be  around 107 unexpected failures out of over
       468,000 tests. To run the tests, issue:
     </para>
@@ -276,6 +277,6 @@
       <parameter>--enable-languages=c,c++,d,fortran,go,objc,obj-c++</parameter>:
       This command identifies which languages to build. You may modify
-      this command to remove undesired languages. Two other languages can be
-      added, besides ADA (see introduction above): BRIG (add
+      this command to remove undesired languages. Three other languages can be
+      added, including ADA, BRIG (add
       <parameter>brig</parameter> to the list of enabled languages), a binary
       format for HSAIL (Heterogeneous System Architecture Intermediate
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision e9b9a7077bc8fd51a93c916dbfd1e391cd2717ba)
+++ general/prog/python3.xml	(revision 229d06924a16001b642c88a78e297eff97f8697f)
@@ -8,8 +8,8 @@
            "https://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "2a3dba5fc75b695c45cf1806156e1a97">
-  <!ENTITY python3-size          "19 MB">
-  <!ENTITY python3-buildsize     "379 MB (add 37 MB for tests)">
-  <!ENTITY python3-time          "0.5 SBU (using parallelism=4; add 2.1 SBU for tests)">
+  <!ENTITY python3-md5sum        "71f7ada6bec9cdbf4538adc326120cfd">
+  <!ENTITY python3-size          "18 MB">
+  <!ENTITY python3-buildsize     "355 MB (add 47 MB for tests)">
+  <!ENTITY python3-time          "0.5 SBU (using parallelism=4; add 2.5 SBU for tests)">
   <!--
   Note: Size does not reflect docs that were install in LFS.
@@ -156,16 +156,17 @@
     <para>
       <parameter>--with-system-ffi</parameter>: This switch enables linking
-      against system version of <application>libffi</application>. 
+      against the system version of <application>libffi</application>. 
     </para>
 
     <para>
       <parameter>--with-ensurepip=yes</parameter> : This switch enables building
-      <command>pip</command> and <command>setuptools</command> packaging programs.
-      <command>setuptools</command> is needed for building some Python modules.
+      the <command>pip</command> and <command>setuptools</command> packaging 
+      programs. <command>setuptools</command> is needed for building some
+      Python modules.
     </para>
 
     <para>
       <option>--with-dbmliborder=bdb:gdbm:ndbm</option>: Use this switch
-      if you want to build <application>Python</application> DBM Module
+      if you want to build the <application>Python</application> DBM Module
       against <application>Berkeley DB</application> instead of
       <application>GDBM</application>.
@@ -231,5 +232,7 @@
           2to3-&python3-majorver;,
 
+          <!--
           easy_install-&python3-majorver;,
+          -->
 
           idle3 (symlink) and
@@ -244,7 +247,4 @@
           python3 (symlink);
           python&python3-majorver;, and
-
-          python3 (symlink), and
-          python&python3-majorver;
 
           python3-config (symlink) and
@@ -280,4 +280,5 @@
       </varlistentry>
       Put here for easy use when removing Python2 -->
+      <!--
       <varlistentry id="easy_install">
         <term><command>easy_install</command></term>
@@ -292,5 +293,5 @@
         </listitem>
       </varlistentry>
-
+      -->
       <varlistentry id="idle3">
         <term><command>idle3</command></term>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision e9b9a7077bc8fd51a93c916dbfd1e391cd2717ba)
+++ general/sysutils/systemd.xml	(revision 229d06924a16001b642c88a78e297eff97f8697f)
@@ -8,8 +8,8 @@
   <!ENTITY systemd-download-http "https://github.com/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
   <!ENTITY systemd-download-ftp  " ">
-  <!ENTITY systemd-md5sum        "b0d6e603b814908acc69db29bbfb023c">
-  <!ENTITY systemd-size          "9.4 MB">
-  <!ENTITY systemd-buildsize     "273 MB (with tests)">
-  <!ENTITY systemd-time          "2.1 SBU (with tests)">
+  <!ENTITY systemd-md5sum        "00131adf0e98c1fd8a7fde4eb47f10c8">
+  <!ENTITY systemd-size          "9.8 MB">
+  <!ENTITY systemd-buildsize     "285 MB (with tests)">
+  <!ENTITY systemd-time          "2.2 SBU (with tests)">
 
 ]>
@@ -83,5 +83,5 @@
         <para>
          Required patch:
-         <ulink url="&patch-root;/systemd-&systemd-version;-upstream_fixes-3.patch"/>
+         <ulink url="&patch-root;/systemd-&systemd-version;-upstream_fixes-1.patch"/>
         </para>
       </listitem>
@@ -122,10 +122,12 @@
       <ulink url="https://sourceforge.net/projects/gnu-efi/">gnu-efi</ulink>,
       <ulink url="https://www.kernel.org/pub/linux/utils/kernel/kexec/">kexec-tools</ulink>,
+      <ulink url="https://sourceware.org/elfutils/">libdw</ulink>,
       <ulink url="https://developers.yubico.com/libfido2/">libfido2</ulink>,
       <ulink url="https://www.gnu.org/software/libmicrohttpd/">libmicrohttpd</ulink>,
       <ulink url="http://lz4.github.io/lz4/">lz4</ulink>,
       <!--<ulink url="http://fukuchi.org/works/qrencode/">qrencode</ulink>,-->
-      <ulink url="https://sourceforge.net/projects/linuxquota/">quota-tools</ulink> and
-      <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink>
+      <ulink url="https://sourceforge.net/projects/linuxquota/">quota-tools</ulink>,
+      <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink>, and
+      <ulink url="https://tpm2-tss.readthedocs.io/en/latest/">tpm2-tss</ulink>
     </para>
 
@@ -147,10 +149,9 @@
 
     <para>
-      Apply a patch to fix regressions in systemd-networkd and segmentation 
-      faults in systemctl, as well as to allow systemd-rfkill to function under
-      Linux-5.11+:
-    </para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-upstream_fixes-3.patch</userinput></screen>
+      Apply a patch to fix a build issue with meson-0.57.2 and higher, as well
+      as to allow systemd-rfkill to work correctly with Linux-5.11 and higher.
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-upstream_fixes-1.patch</userinput></screen>
 
     <para>
@@ -171,4 +172,6 @@
 
 meson --prefix=/usr                 \
+      --sysconfdir=/etc             \
+      --localstatedir=/var          \
       -Dblkid=true                  \
       -Dbuildtype=release           \
@@ -178,7 +181,4 @@
       -Dldconfig=false              \
       -Dman=auto                    \
-      -Drootprefix=                 \
-      -Drootlibdir=/lib             \
-      -Dsplit-usr=true              \
       -Dsysusers=false              \
       -Drpmmacrosdir=no             \
@@ -266,5 +266,5 @@
 
     <para>
-      <parameter>-Dhomed=false</parameter>: Remove a daemon that does not offer
+      <parameter>-Dhomed=false</parameter>: Removes a daemon that does not offer
       any use under a traditional BLFS configuration, especially using accounts
       created with useradd. To enable systemd-homed, first ensure that you have