Index: general/prog/clisp.xml
===================================================================
--- general/prog/clisp.xml	(revision 230af9fbef99d4bb4b49db843e10ad0932af1331)
+++ general/prog/clisp.xml	(revision 230af9fbef99d4bb4b49db843e10ad0932af1331)
@@ -0,0 +1,186 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY clisp-download-http "http://ftp.gnu.org/pub/gnu/clisp/latest/clisp-&clisp-version;.tar.bz2">
+  <!ENTITY clisp-download-ftp "ftp://ftp.gnu.org/pub/gnu/clisp/latest/clisp-&clisp-version;.tar.bz2">
+  <!ENTITY clisp-md5sum        "1962b99d5e530390ec3829236d168649">
+  <!ENTITY clisp-size          "7.8 MB">
+  <!ENTITY clisp-buildsize     "163 MB">
+  <!ENTITY clisp-time          "0.9 SBU">
+]>
+
+<sect1 id="clisp" xreflabel="Clisp-&clisp-version;">
+  <?dbhtml filename="clisp.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Clisp-&clisp-version;</title>
+
+  <indexterm zone="clisp">
+    <primary sortas="a-Clisp">Clisp</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Clisp</title>
+
+    <para>
+      <application>GNU Clisp</application> is a Common Lisp implementation
+      which includes an interpreter, compiler, debugger, and many extensions.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&clisp-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&clisp-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &clisp-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &clisp-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &clisp-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &clisp-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libsigsegv"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://www.gnu.org/software/libffcall/">libffcall</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/clisp"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Clisp</title>
+
+    <note>
+      <para>
+        This package does not support parallel build.
+      </para>
+    </note>
+
+    <para>
+      Install <application>Clisp</application> by running the following commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd build &amp;&amp;
+./configure --srcdir=../                       \
+            --prefix=/usr                      \
+            --docdir=/usr/share/doc/clisp-&clisp-version; \
+            --with-libsigsegv-prefix=/usr &amp;&amp;
+ulimit -s 16384 &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      For reasons which are not understood, the testsuite for this package
+      fails.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m644 doc/clisp.man /usr/share/man/man3/clisp_malloc.3 &amp;&amp;
+ln -sfv clisp_malloc.3 /usr/share/man/man3/clisp.3 </userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>uimit -s 16384</command>: this increases the maximum stack
+      size, as recommended by the <command>configure</command>.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          clisp, clisp-link
+        </seg>
+        <seg>
+          various static libraries in
+          <filename class="directory">/usr/lib/clisp-$clisp-version;/base/</filename>
+        </seg>
+        <seg>
+          /usr/lib/clisp-&clisp-version;
+          /usr/share/doc/clisp-&clisp-version;
+          /usr/share/emacs/site-lisp;
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="clisp-prog">
+        <term><command>clisp</command></term>
+        <listitem>
+          <para>is an ANSI Common Lisp compiler, interpreter, and debugger</para>
+          <indexterm zone="clisp clisp-prog">
+            <primary sortas="b-clisp">clisp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="clisp-link">
+        <term><command>clisp-link</command></term>
+        <listitem>
+          <para>is used to link an external module to clisp</para>
+          <indexterm zone="clisp clisp-link">
+            <primary sortas="b-clisp-link">clisp-link</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 55d7adc67b1f3af1de9233f4e6f6b793b4e2ab72)
+++ general/prog/prog.xml	(revision 230af9fbef99d4bb4b49db843e10ad0932af1331)
@@ -25,4 +25,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="bazaar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="check.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clisp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cmake.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cvs.xml"/>