Index: gnome.ent
===================================================================
--- gnome.ent	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ gnome.ent	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -38,5 +38,5 @@
 <!ENTITY cheese-version               "3.16.1">
 <!ENTITY eog-version                  "3.16.2">
-<!ENTITY epiphany-version             "3.16.1">
+<!ENTITY epiphany-version             "3.16.2">
 <!ENTITY evince-version               "3.16.1">
 <!ENTITY file-roller-version          "3.16.2">
Index: gnome/applications/epiphany.xml
===================================================================
--- gnome/applications/epiphany.xml	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ gnome/applications/epiphany.xml	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -9,5 +9,5 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-16;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "bf03453eac5701049c4ec82e1b0c8532">
+  <!ENTITY epiphany-md5sum        "f6c1b661be55cb83bbb4c8597e52e107">
   <!ENTITY epiphany-size          "3.0 MB">
   <!ENTITY epiphany-buildsize     "108 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ introduction/welcome/changelog.xml	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -48,4 +48,16 @@
       <para>June 24th, 2015</para>
       <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to epiphany-3.16.2.  Fixes
+          <ulink url="&blfs-ticket-root;6644">#6644</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to mesa-10.5.8.  Fixes
+          <ulink url="&blfs-ticket-root;6643">#6643</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to Berkeley DB 6.1.26.  Fixes
+          <ulink url="&blfs-ticket-root;6642">#6642</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[fernando] - Poppler-0.33.0 can be compiled with support for
Index: packages.ent
===================================================================
--- packages.ent	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ packages.ent	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -415,5 +415,5 @@
 
 <!-- Chapter 22 -->
-<!ENTITY db-version                   "6.1.23">
+<!ENTITY db-version                   "6.1.26">
 <!ENTITY mariadb-version              "10.0.20">
 <!ENTITY postgresql-version           "9.4.4">
@@ -439,5 +439,5 @@
 <!ENTITY xcursor-themes-version       "1.0.4">
 <!ENTITY xkeyboard-config-version     "2.15">
-<!ENTITY mesalib-version              "10.5.7">
+<!ENTITY mesalib-version              "10.5.8">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: server/databases/db.xml
===================================================================
--- server/databases/db.xml	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ server/databases/db.xml	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -8,8 +8,8 @@
     "http://download.oracle.com/berkeley-db/db-&db-version;.tar.gz">
   <!ENTITY db-download-ftp  " ">
-  <!ENTITY db-md5sum        "f18e4a2cec9465b352ce59068381a411">
+  <!ENTITY db-md5sum        "9525aa57a282d49e5d1bf5e48ffa8a56">
   <!ENTITY db-size          "36 MB">
-  <!ENTITY db-buildsize     "278 MB">
-  <!ENTITY db-time          "0.7 SBU">
+  <!ENTITY db-buildsize     "296 MB">
+  <!ENTITY db-time          "0.8 SBU">
 ]>
 
@@ -77,6 +77,5 @@
     <para role="optional">
       <xref linkend="tcl"/>,
-      <xref linkend="openjdk"/> (the Java bindings are currently broken with
-      JDK8)<!-- or <xref linkend="jdk"/> -->, and
+      <xref linkend="openjdk"/> or <xref linkend="java"/>, and
       <xref linkend="sharutils"/> (for the <command>uudecode</command> command
       - Java bindings are required)
@@ -247,5 +246,4 @@
       support in DB and creates the
       <filename class="libraryfile">libdb_java</filename> libraries.
-      The Java bindings are currently broken with JDK8.
     </para>
   </sect2>
@@ -274,5 +272,5 @@
           db_tuner,
           db_upgrade, and
-          db_verify.
+          db_verify
         </seg>
         <seg>
Index: x/installing/mesalib.xml
===================================================================
--- x/installing/mesalib.xml	(revision a6ff6760e3207e856d5061de3a7fbb3632d74605)
+++ x/installing/mesalib.xml	(revision 233a4949984df8eba1128823a84f856fc4778b48)
@@ -7,8 +7,8 @@
   <!ENTITY mesalib-download-http " ">
   <!ENTITY mesalib-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/&mesalib-version;/mesa-&mesalib-version;.tar.xz">
-  <!ENTITY mesalib-md5sum        "c6a1fdccd4ea372975d263235136ad2d">
+  <!ENTITY mesalib-md5sum        "5332a3576c5e3a0c3947ee6668dd4157">
   <!ENTITY mesalib-size          "6.7 MB">
   <!ENTITY mesalib-buildsize     "284 MB (with checks and documentation)">
-  <!ENTITY mesalib-time          "8.3 SBU (with checks and documentation)">
+  <!ENTITY mesalib-time          "8.4 SBU (with checks and documentation)">
 
 ]>