Index: general/genlib/libseccomp.xml
===================================================================
--- general/genlib/libseccomp.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/genlib/libseccomp.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-capture-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-capture-tiny.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-capture-tiny.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-encode-locale.xml
===================================================================
--- general/prog/perl-deps/perl-encode-locale.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-encode-locale.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-http-date.xml
===================================================================
--- general/prog/perl-deps/perl-http-date.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-http-date.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-http-message.xml
===================================================================
--- general/prog/perl-deps/perl-http-message.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-http-message.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-io-html.xml
===================================================================
--- general/prog/perl-deps/perl-io-html.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-io-html.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-lwp-mediatypes.xml
===================================================================
--- general/prog/perl-deps/perl-lwp-mediatypes.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-lwp-mediatypes.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-net-ssleay.xml
===================================================================
--- general/prog/perl-deps/perl-net-ssleay.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-net-ssleay.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -37,5 +37,5 @@
       </itemizedlist>-->
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-test-fatal.xml
===================================================================
--- general/prog/perl-deps/perl-test-fatal.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-test-fatal.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-test-needs.xml
===================================================================
--- general/prog/perl-deps/perl-test-needs.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-test-needs.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-timedate.xml
===================================================================
--- general/prog/perl-deps/perl-timedate.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-timedate.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-try-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-try-tiny.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-deps/perl-try-tiny.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -28,5 +28,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-http-daemon.xml
===================================================================
--- general/prog/perl-modules/perl-http-daemon.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-modules/perl-http-daemon.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-io-socket-ssl.xml
===================================================================
--- general/prog/perl-modules/perl-io-socket-ssl.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-modules/perl-io-socket-ssl.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -29,5 +29,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-uri.xml
===================================================================
--- general/prog/perl-modules/perl-uri.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/perl-modules/perl-uri.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -36,5 +36,5 @@
       </para>
 
-      &lfs110_checked;
+      &lfs110a_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/valgrind.xml
===================================================================
--- general/prog/valgrind.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ general/prog/valgrind.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/net-tools.xml
===================================================================
--- networking/netprogs/net-tools.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ networking/netprogs/net-tools.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 77e379e7b4a3f3043e0908fd2a8c6adcb8d38ec5)
+++ networking/netutils/bind-utils.xml	(revision 234dc92921adb5b00a82fc52c098295793768d1d)
@@ -40,5 +40,5 @@
     client side applications.</para>
 
-    &lfs110_checked;
+    &lfs110a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>