Index: multimedia/libdriv/alsa/utils/alsa-utils-config.xml
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils-config.xml	(revision 8eb948063d2c12334393ce838e235b79a02e9623)
+++ multimedia/libdriv/alsa/utils/alsa-utils-config.xml	(revision 237b6d973d0feaf73ffcf05ed0807bc7f4ca3ce3)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application><acronym>ALSA</acronym>-utils</application></title>
+<title>Configuring <application><acronym>ALSA</acronym> Utilities</application></title>
 
 <sect3><title>Config files</title>
@@ -16,5 +16,5 @@
 those readers who wish to do this.</para>
 
-<para>The <application><acronym>ALSA</acronym>-drivers</application> package 
+<para>The <application><acronym>ALSA</acronym> Driver</application> package 
 installs a script as <filename>/etc/rc.d/init.d/alsasound</filename>.  While it 
 is possible to use this script, it contains a lot of extraneous detail which 
@@ -38,5 +38,5 @@
 case "$1" in
     start)
-        echo "Starting alsa...    Restoring volumes..."
+        echo "Starting ALSA...    Restoring volumes..."
         loadproc /usr/sbin/alsactl restore
         #echo "                    Loading MIDI font..."
@@ -45,5 +45,5 @@
 
     stop)
-        echo "Stopping alsa...    Saving volumes......"
+        echo "Stopping ALSA...    Saving volumes......"
         loadproc /usr/sbin/alsactl store
         #echo "            Removing MIDI font.........."
@@ -80,5 +80,5 @@
 <para>Note that all channels of your soundcard are muted by default. You can
 use the <command>alsamixer</command> program from
-<application><acronym>ALSA</acronym>-utils</application> (or any other
+<application><acronym>ALSA</acronym> Utilities</application> (or any other
 <acronym>OSS</acronym> mixer) to change this.</para>
 
@@ -86,5 +86,5 @@
 there is no state in <filename>/etc/asound.state</filename>.  You can
 prevent this by running the following commands after installing
-<application><acronym>ALSA</acronym>-utils</application>:</para>
+<application><acronym>ALSA</acronym> Utilities</application>:</para>
 <screen><userinput><command>touch /etc/asound.state &amp;&amp;
 alsactl store</command></userinput></screen>
@@ -93,5 +93,5 @@
 are commented out.  They are there as an example of other things you may
 wish to do in the startup script.  <filename>sfxload</filename> is a
-separate package of interest to SoundBlaster <acronym>AWE</acronym> and Live! 
+separate package of interest to SoundBlaster AWE and Live! 
 users.  It is designed for loading "sound-fonts" (which are used for
 <acronym>MIDI</acronym> output).  You may wish to delete these lines and add 
Index: multimedia/libdriv/alsa/utils/alsa-utils-desc.xml
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils-desc.xml	(revision 8eb948063d2c12334393ce838e235b79a02e9623)
+++ multimedia/libdriv/alsa/utils/alsa-utils-desc.xml	(revision 237b6d973d0feaf73ffcf05ed0807bc7f4ca3ce3)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application><acronym>ALSA</acronym>-utils</application> package 
+<para>The <application><acronym>ALSA</acronym> Utilities</application> package 
 contains <command>aconnect</command>, 
 <command>alsactl</command>, <command>alsamixer</command>,
Index: multimedia/libdriv/alsa/utils/alsa-utils-inst.xml
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils-inst.xml	(revision 8eb948063d2c12334393ce838e235b79a02e9623)
+++ multimedia/libdriv/alsa/utils/alsa-utils-inst.xml	(revision 237b6d973d0feaf73ffcf05ed0807bc7f4ca3ce3)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application><acronym>ALSA</acronym>-utils</application></title>
+<title>Installation of <application><acronym>ALSA</acronym> Utilities</application></title>
 
-<para>Install <application><acronym>ALSA</acronym>-utils</application> by running the following commands:</para>
+<para>Install <application><acronym>ALSA</acronym> Utilities</application> by running the following commands:</para>
 
 <screen><userinput><command>./configure &amp;&amp;
Index: multimedia/libdriv/alsa/utils/alsa-utils-intro.xml
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils-intro.xml	(revision 8eb948063d2c12334393ce838e235b79a02e9623)
+++ multimedia/libdriv/alsa/utils/alsa-utils-intro.xml	(revision 237b6d973d0feaf73ffcf05ed0807bc7f4ca3ce3)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application><acronym>ALSA</acronym>-utils</application></title>
+<title>Introduction to <application><acronym>ALSA</acronym> Utilities</application></title>
 
-<para>The <application><acronym>ALSA</acronym>-utils</application> package 
+<para>The <application><acronym>ALSA</acronym> Utilities</application> package 
 contains various utilities which are useful for controlling your sound card.
 </para>
@@ -15,5 +15,5 @@
 </sect3>
 
-<sect3><title><application><acronym>ALSA</acronym>-utils</application> dependencies</title>
+<sect3><title><application><acronym>ALSA</acronym> Utilities</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="alsa-lib"/>