Index: general/graphlib/libart_lgpl.xml
===================================================================
--- general/graphlib/libart_lgpl.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ general/graphlib/libart_lgpl.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -34,5 +34,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&libart_lgpl-download-ftp;"/></para></listitem>
-<listitem><para>MD5 sum: &libart_lgpl-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &libart_lgpl-md5sum;</para></listitem>
 <listitem><para>Download size: &libart_lgpl-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ general/graphlib/libpng.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -35,5 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&libpng-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &libpng-md5;</para></listitem>
+<listitem><para>Download MD5 Sum: &libpng-md5;</para></listitem>
 <listitem><para>Download size: &libpng-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ general/graphlib/librsvg.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -35,5 +35,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&librsvg-download-ftp;"/></para></listitem>
-<listitem><para>MD5 sum: &librsvg-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &librsvg-md5sum;</para></listitem>
 <listitem><para>Download size: &librsvg-size;</para></listitem>
 <listitem><para>Estimated disk space required:
Index: postlfs/config/autofs.xml
===================================================================
--- postlfs/config/autofs.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ postlfs/config/autofs.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -39,5 +39,5 @@
 <listitem><para>Download (HTTP): <ulink url="&autofs-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink url="&autofs-download-ftp;"/></para></listitem>
-<listitem><para>MD5 sum: &autofs-md5sum;</para></listitem>
+<listitem><para>Download MD5 sum: &autofs-md5sum;</para></listitem>
 <listitem><para>Download size: &autofs-size;</para></listitem>
 <listitem><para>Estimated disk space required: &autofs-buildsize;</para></listitem>
Index: postlfs/shells/tcsh.xml
===================================================================
--- postlfs/shells/tcsh.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ postlfs/shells/tcsh.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -36,5 +36,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&tcsh-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &tcsh-md5sum;</para></listitem>
+<listitem><para>Download MD5 Sum: &tcsh-md5sum;</para></listitem>
 <listitem><para>Download size: &tcsh-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ postlfs/shells/zsh.xml	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -37,5 +37,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&zsh-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &zsh-md5sum;</para></listitem>
+<listitem><para>Download MD5 Sum: &zsh-md5sum;</para></listitem>
 <listitem><para>Download size: &zsh-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
Index: stylesheets/xhtml/lfs-index.xsl
===================================================================
--- stylesheets/xhtml/lfs-index.xsl	(revision 720a3c09eb399d17291fbc6f10d69e66fd002f98)
+++ stylesheets/xhtml/lfs-index.xsl	(revision 239e8ca1b71b0264115d99bb478f9d6cbf9d7774)
@@ -19,5 +19,5 @@
 
     <!--Title-->
-  <xsl:param name="index-title">Index of packages and important installed files</xsl:param>
+  <xsl:param name="index-title">Index</xsl:param>
   
   <xsl:template match="index" mode="title.markup">