Index: TODO
===================================================================
--- TODO	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ TODO	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -1,13 +1,8 @@
 User: krejzi
 
-  * dconf-0.12.1
-  * glade-3.12.1
-  * gnome-contacts-3.4.1
-  * gupnp-0.18.3
   * libdvdcss-1.2.12
   * libidn-1.24
   * nano-2.3.1
   * sg3_utils-1.33
-  * spice-gtk-0.12
   * tcl-8.5.11
   * tk-8.5.11
Index: general.ent
===================================================================
--- general.ent	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ general.ent	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "08">                   <!-- Always 2 digits -->
+<!ENTITY day          "09">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 8th, &year;">
+<!ENTITY releasedate  "May 9th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -718,5 +718,5 @@
 <!ENTITY cantarell-fonts-version      "0.0.8">
 <!ENTITY caribou-version              "0.4.2">
-<!ENTITY dconf-version                "0.12.0">
+<!ENTITY dconf-version                "0.12.1">
 <!ENTITY evolution-data-server-version "3.4.1">
 <!ENTITY folks-version                "0.6.9">
@@ -776,5 +776,5 @@
 <!ENTITY evince-version               "3.4.0">
 <!ENTITY gcalctool-version            "6.4.1.1">
-<!ENTITY gnome-contacts-version       "3.4.0">
+<!ENTITY gnome-contacts-version       "3.4.1">
 <!ENTITY gnome-dictionary-version     "3.4.0">
 <!ENTITY gnome-disk-utility-version   "3.4.1">
@@ -806,5 +806,5 @@
 <!ENTITY file-roller-version          "3.4.1">
 <!ENTITY gedit-version                "3.4.1">
-<!ENTITY glade-version                "3.12.0">
+<!ENTITY glade-version                "3.12.1">
 <!ENTITY gnome-boxes-version          "3.4.1">
 <!ENTITY gnome-color-manager-version  "3.4.0">
@@ -830,5 +830,5 @@
 <!ENTITY gtkhtml-version              "4.4.1">
 <!ENTITY gtksourceviewmm-version      "3.2.0">
-<!ENTITY gupnp-version                "0.18.2">
+<!ENTITY gupnp-version                "0.18.3">
 <!ENTITY gupnp-av-version             "0.10.2">
 <!ENTITY gupnp-dlna-version           "0.6.6">
Index: gnome/add/glade.xml
===================================================================
--- gnome/add/glade.xml	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ gnome/add/glade.xml	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -7,8 +7,8 @@
   <!ENTITY glade-download-http "&gnome-download-http;/glade/3.12/glade-&glade-version;.tar.xz">
   <!ENTITY glade-download-ftp  "&gnome-download-ftp;/glade/3.12/glade-&glade-version;.tar.xz">
-  <!ENTITY glade-md5sum        "bc743c2b94b674770b67cbc0c90fb3eb">
+  <!ENTITY glade-md5sum        "7923b7127a387db3a053062cd76e8263">
   <!ENTITY glade-size          "2.4 MB">
-  <!ENTITY glade-buildsize     "65 MB">
-  <!ENTITY glade-time          "0.8 SBU">
+  <!ENTITY glade-buildsize     "60 MB">
+  <!ENTITY glade-time          "0.7 SBU">
 ]>
 
@@ -30,7 +30,9 @@
     <title>Introduction to Glade</title>
 
-    <para><application>Glade</application> is a RAD tool to enable quick and easy
-    development of user interfaces for the GTK+ toolkit and the GNOME desktop
-    environment.</para>
+    <para>
+      <application>Glade</application> is a RAD tool to enable quick and easy
+      development of user interfaces for the GTK+ toolkit and the GNOME desktop
+      environment.
+    </para>
 
     &lfs70_checked;
@@ -39,20 +41,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&glade-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&glade-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &glade-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &glade-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &glade-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &glade-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&glade-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&glade-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &glade-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &glade-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &glade-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &glade-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -85,14 +99,20 @@
     <title>Installation of Glade</title>
 
-    <para>Install <application>Glade</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>Glade</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
-    <para>This package's testsuite is intended to be used by the
-    maintainer (or not) to check i18n files.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      This package's testsuite is intended to be used by the
+      maintainer to check i18n files.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
@@ -104,8 +124,8 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/without-scrollkeeper.xml"/>
+      href="../../xincludes/without-scrollkeeper.xml"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
 
   </sect2>
@@ -127,6 +147,8 @@
         </seg>
         <seg>
-          /usr/include/libgladeui-2.0, /usr/lib/glade,
-          /usr/share/glade, /usr/share/gnome/help/glade,
+          /usr/include/libgladeui-2.0,
+          /usr/lib/glade,
+          /usr/share/glade, 
+          /usr/share/gnome/help/glade,
           /usr/share/gtk-doc/html/gladeui-2 and
           /usr/share/omf/glade
@@ -143,6 +165,9 @@
         <term><command>glade</command></term>
         <listitem>
-          <para>is used to create or edit user interface designs 
-          for GTK+ or GNOME applications.</para>
+          <para>
+            is used to create or edit user interface designs 
+            for <application>GTK+</application> or 
+            <application>GNOME</application> applications.
+          </para>
           <indexterm zone="glade glade-prog">
             <primary sortas="b-glade">glade</primary>
@@ -154,5 +179,7 @@
         <term><command>glade-previewer</command></term>
         <listitem>
-          <para>is used to preview a glade UI definition.</para>
+          <para>
+            is used to preview a <application>Glade</application> UI definition.
+          </para>
           <indexterm zone="glade glade-previewer">
             <primary sortas="b-glade-previewer">glade-previewer</primary>
@@ -164,5 +191,7 @@
         <term><filename class='libraryfile'>libgladeui-2.so</filename></term>
         <listitem>
-          <para>contains the Glade API functions.</para>
+          <para>
+            contains the <application>Glade</application> API functions.
+          </para>
           <indexterm zone="glade libgladeui-2">
             <primary sortas="c-libgladeui-2">libgladeui-2.so</primary>
Index: gnome/add/gupnp.xml
===================================================================
--- gnome/add/gupnp.xml	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ gnome/add/gupnp.xml	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -7,7 +7,7 @@
   <!ENTITY gupnp-download-http "&gnome-download-http;/gupnp/0.18/gupnp-&gupnp-version;.tar.xz">
   <!ENTITY gupnp-download-ftp  "&gnome-download-ftp;/gupnp/0.18/gupnp-&gupnp-version;.tar.xz">
-  <!ENTITY gupnp-md5sum        "9ce2bc56abf0275be9b1d0ecdf67e7bf">
+  <!ENTITY gupnp-md5sum        "1086654db47def9fbe9fc54c1228d663">
   <!ENTITY gupnp-size          "352 KB">
-  <!ENTITY gupnp-buildsize     "8.0 MB">
+  <!ENTITY gupnp-buildsize     "8.5 MB">
   <!ENTITY gupnp-time          "0.2 SBU">
 ]>
@@ -28,9 +28,11 @@
 
   <sect2 role="package">
-    <title>Introduction to gupnp</title>
+    <title>Introduction to GUPnP</title>
 
-    <para><application>GUPnP</application> is an elegant, object-oriented open source
-    framework for creating UPnP devices and control points, written in C using GObject
-    and libsoup.</para>
+    <para>
+      <application>GUPnP</application> is an elegant, object-oriented open source
+      framework for creating UPnP devices and control points, written in C using GObject
+      and libsoup.
+    </para>
 
     &lfs70_checked;
@@ -39,24 +41,36 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&gupnp-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&gupnp-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&gupnp-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&gupnp-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &gupnp-md5sum;</para>
+        <para>
+          Download MD5 sum: &gupnp-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &gupnp-size;</para>
+        <para>
+          Download size: &gupnp-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &gupnp-buildsize;</para>
+        <para>
+          Estimated disk space required: &gupnp-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &gupnp-time;</para>
+        <para>
+          Estimated build time: &gupnp-time;
+        </para>
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">gupnp Dependencies</bridgehead>
+    <bridgehead renderas="sect3">GUPnP Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -83,15 +97,21 @@
 
   <sect2 role="installation">
-    <title>Installation of gupnp</title>
+    <title>Installation of GUPnP</title>
 
-    <para>Install <application>gupnp</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>GUPnP</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
-    <para>This package does not have a testsuite.</para>
+    <para>
+      This package does not have a testsuite.
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
@@ -103,8 +123,8 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/static-libraries.xml"/>
+      href="../../xincludes/static-libraries.xml"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
 
   </sect2>
@@ -140,5 +160,7 @@
         <term><command>gupnp-binding-tool</command></term>
         <listitem>
-          <para>creates C convenience wrappers for UPnP services.</para>
+          <para>
+            creates C convenience wrappers for UPnP services.
+          </para>
           <indexterm zone="gupnp gupnp-binding-tool">
             <primary sortas="b-gupnp-binding-tool">gupnp-binding-tool</primary>
@@ -150,5 +172,7 @@
         <term><filename class='libraryfile'>libgupnp-1.0.so</filename></term>
         <listitem>
-          <para>contains the gupnp API functions.</para>
+          <para>
+            contains the <application>GUPnP</application> API functions.
+          </para>
           <indexterm zone="gupnp libgupnp-1">
             <primary sortas="c-libgupnp-1">libgupnp-1.0.so</primary>
Index: gnome/core/dconf.xml
===================================================================
--- gnome/core/dconf.xml	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ gnome/core/dconf.xml	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -7,8 +7,8 @@
   <!ENTITY dconf-download-http "&gnome-download-http;/dconf/0.12/dconf-&dconf-version;.tar.xz">
   <!ENTITY dconf-download-ftp  "&gnome-download-ftp;/dconf/0.12/dconf-&dconf-version;.tar.xz">
-  <!ENTITY dconf-md5sum        "6aec9d37fca1614cd672bc5b2215c9f3">
+  <!ENTITY dconf-md5sum        "0ebbfa50ab69e5d679cf8a1c68e75bf3">
   <!ENTITY dconf-size          "200 KB">
   <!ENTITY dconf-buildsize     "7.0 MB">
-  <!ENTITY dconf-time          "0.2 SBU">
+  <!ENTITY dconf-time          "0.3 SBU">
 ]>
 
@@ -28,8 +28,8 @@
 
   <sect2 role="package">
-    <title>Introduction to dconf</title>
-
-    <para>
-      The <application>dconf</application> package contains a low-level
+    <title>Introduction to DConf</title>
+
+    <para>
+      The <application>DConf</application> package contains a low-level
       configuration system. Its main purpose is to provide a backend to GSettings
       on platforms that don't already have configuration storage systems.
@@ -72,5 +72,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">dconf Dependencies</bridgehead>
+    <bridgehead renderas="sect3">DConf Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -97,8 +97,8 @@
 
   <sect2 role="installation">
-    <title>Installation of dconf</title>
-
-    <para>
-      Install <application>dconf</application> by running the following
+    <title>Installation of DConf</title>
+
+    <para>
+      Install <application>DConf</application> by running the following
       commands:
     </para>
Index: gnome/core/gnome-contacts.xml
===================================================================
--- gnome/core/gnome-contacts.xml	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ gnome/core/gnome-contacts.xml	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-contacts-download-ftp  
            "&gnome-download-ftp;/gnome-contacts/3.4/gnome-contacts-&gnome-contacts-version;.tar.xz">
-  <!ENTITY gnome-contacts-md5sum        "1d3133ae36e8a7938e24423b90a0222b">
+  <!ENTITY gnome-contacts-md5sum        "e5eb42a24316d247405fd42e872f88ae">
   <!ENTITY gnome-contacts-size          "580 KB">
-  <!ENTITY gnome-contacts-buildsize     "18 MB">
+  <!ENTITY gnome-contacts-buildsize     "17 MB">
   <!ENTITY gnome-contacts-time          "0.4 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ebe355e989b3214e43e73e43c36e880c3678bec4)
+++ introduction/welcome/changelog.xml	(revision 241a22e885b4b35a31198d3cb99603cfe648b99f)
@@ -43,4 +43,22 @@
 -->
     <listitem>
+      <para>May 9th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - DConf 0.12.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Glade 3.12.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GUPnp 0.18.3.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - gnome-contacts 3.4.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 8th, 2012</para>
       <itemizedlist>
@@ -51,4 +69,16 @@
           <para>[bdubbs] - Updated to vsftpd-3.0.0.
           Fixes <ulink url="&blfs-ticket-root;3345">#3345</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Clutter 1.10.4.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GnuTLS 3.0.19.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Telepathy-GLib 0.18.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Tracker 0.14.1.</para>
         </listitem>
       </itemizedlist>