Index: gnome/lib/scrollkeeper/scrollkeeper-config.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-config.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper-config.xml	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -3,10 +3,10 @@
 
 <sect3><title>Config files</title>
-<para><userinput>/etc/scrollkeeper.conf</userinput></para>
+<para><filename>/etc/scrollkeeper.conf</filename></para>
 </sect3>
 
 <sect3><title>Configuration Information</title>
 
-<para>The configuration files sets the OMF_DIR variable to the location
+<para>The configuration files sets the <envar>OMF_DIR</envar> variable to the location
 of all of the omf directories in the system. This was set in the
 configure command so no futher action is needed until another omf file
Index: gnome/lib/scrollkeeper/scrollkeeper-desc.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-desc.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper-desc.xml	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -10,6 +10,8 @@
 
 <sect3><title>scrollkeeper libraries</title>
-<para>scrollkeeper libraries provide the API necessary for help browsers to
-interact with documentation written to utilize scrollkeeper.</para></sect3>
+<para><filename>libscrollkeeper</filename> libraries provide the
+<acronym>API</acronym> necessary for help browsers to
+interact with documentation written to utilize
+<application>scrollkeeper</application>.</para></sect3>
 
 <sect3><title>utility scripts</title>
Index: gnome/lib/scrollkeeper/scrollkeeper-exp.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-exp.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper-exp.xml	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -2,14 +2,14 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc</userinput> : This switch puts the
+<para><command>--sysconfdir=/etc</command> : This switch puts the
 configuration files in <filename>/etc/scrollkeeper</filename>.</para>
 
-<para><userinput>--localstatedir=/var</userinput> : This switch puts
+<para><command>--localstatedir=/var</command> : This switch puts
 scrollkeepers database directory in <filename>/var/lib/scrollkeeper</filename>.</para>
 
-<para><userinput>--disable-static</userinput> : This switch prevents
+<para><command>--disable-static</command> : This switch prevents
 the static library from being built.</para>
 
-<para><userinput>--omfdirs=/usr/share/omf:/opt/gnome/share/omf:/opt/kde/share/omf:/opt/gnome-&gnome-version;/share/omf</userinput> : This switch sets all the locations for OMF files for scrollkeeper.</para>
+<para><command>--omfdirs=/usr/share/omf:/opt/gnome/share/omf:/opt/kde/share/omf:/opt/gnome-&gnome-version;/share/omf</command> : This switch sets all the locations for OMF files for scrollkeeper.</para>
 </sect2>
 
Index: gnome/lib/scrollkeeper/scrollkeeper-inst.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-inst.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper-inst.xml	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -1,13 +1,13 @@
 <sect2>
-<title>Installation of scrollkeeper</title>
+<title>Installation of <application>scrollkeeper</application></title>
 
-<para>Install scrollkeeper by running the following commands:</para>
+<para>Install <application>scrollkeeper</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
 --localstatedir=/var --disable-static \
 --with-omfdirs=/usr/share/omf:/opt/gnome/share/omf:\
 /opt/kde/share/omf:/opt/gnome-&gnome-version;/share/omf &amp;&amp;
 make &amp;&amp;
-make install </userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/lib/scrollkeeper/scrollkeeper-intro.xml
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper-intro.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper-intro.xml	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -1,20 +1,28 @@
 <sect2>
-<title>Introduction to scrollkeeper</title>
+<title>Introduction to <application>scrollkeeper</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&scrollkeeper-download-http;"/>
-Download location (FTP):        <ulink url="&scrollkeeper-download-ftp;"/>
-Version used:                   &scrollkeeper-version;
-Package size:                   &scrollkeeper-size;
-Estimated Disk space required:  &scrollkeeper-buildsize;
-Estimated build time:           &scrollkeeper-time;</screen>
-
-<para>The scrollkeeper package contains a cataloging system for
+<para>The <application>scrollkeeper</application> package contains a cataloging system for
 documentation. This is useful for managing documentation metadata and
-providing an API to help browsers find, sort and search the document
+providing an <acronym>API</acronym> to help browsers find, sort and search the document
 catalog.</para>
 
-<screen>scrollkeeper depends on:
-<xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref
-linkend="intltool"/> and <xref linkend="DocBook"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&scrollkeeper-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&scrollkeeper-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &scrollkeeper-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&scrollkeeper-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&scrollkeeper-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>scrollkeeper</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref
+linkend="intltool"/> and <xref linkend="DocBook"/></para></sect4>
+</sect3>
 
 </sect2>
Index: gnome/lib/scrollkeeper/scrollkeeper.ent
===================================================================
--- gnome/lib/scrollkeeper/scrollkeeper.ent	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
+++ gnome/lib/scrollkeeper/scrollkeeper.ent	(revision 243b7247c0ad0a5ac8f5f99ee3ff8f9e440307c6)
@@ -5,8 +5,8 @@
 <!ENTITY scrollkeeper-desc SYSTEM "scrollkeeper-desc.xml">
 <!ENTITY scrollkeeper-config SYSTEM "scrollkeeper-config.xml">
-<!ENTITY scrollkeeper-buildsize "4.5 MB">
-<!ENTITY scrollkeeper-version "0.3.11">
-<!ENTITY scrollkeeper-download-http "http://telia.dl.sourceforge.net/sourceforge/scrollkeeper/scrollkeeper-0.3.11.tar.gz">
-<!ENTITY scrollkeeper-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/scrollkeeper-0.3.11.tar.bz2">
-<!ENTITY scrollkeeper-size "432 KB">
-<!ENTITY scrollkeeper-time "0.20 SBU">
+<!ENTITY scrollkeeper-buildsize "7.5 MB">
+<!ENTITY scrollkeeper-version "0.3.12">
+<!ENTITY scrollkeeper-download-http "http://telia.dl.sourceforge.net/sourceforge/scrollkeeper/scrollkeeper-0.3.12.tar.gz">
+<!ENTITY scrollkeeper-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/scrollkeeper-0.3.12.tar.bz2">
+<!ENTITY scrollkeeper-size "536 KB">
+<!ENTITY scrollkeeper-time "0.15 SBU">