Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 2ad0d1304f360fd9679fe5a5f0a7ebb6a0df3b09)
+++ x/lib/gdk-pixbuf.xml	(revision 244af8385032655aaed78ef3c947ea08f69cd420)
@@ -5,6 +5,8 @@
   %general-entities;
 
-  <!ENTITY gdk-pixbuf-download-http "&gnome-download-http;/gdk-pixbuf/2.26/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
-  <!ENTITY gdk-pixbuf-download-ftp  "&gnome-download-ftp;/gdk-pixbuf/2.26/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
+  <!ENTITY gdk-pixbuf-download-http 
+    "&gnome-download-http;/gdk-pixbuf/2.26/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
+  <!ENTITY gdk-pixbuf-download-ftp  
+    "&gnome-download-ftp;/gdk-pixbuf/2.26/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
   <!ENTITY gdk-pixbuf-md5sum        "82197921c651a81ae28178aa9adfc0e6">
   <!ENTITY gdk-pixbuf-size          "1.2 MB">
@@ -28,11 +30,14 @@
 
   <sect2 role="package">
-    <title>Introduction to gdk-pixbuf</title>
-
-    <para>The <application>gdk-pixbuf</application> library is a toolkit for
-    image loading and pixel buffer manipulation. It is used by gtk+-2 and
-    gtk+-3 to load and manipulate images. In the past it was distributed as
-    part of gtk+-2 but it was split off into a separate package in preparation
-    for the change to gtk+-3.</para>
+    <title>Introduction to Gdk-Pixbuf</title>
+
+    <para>
+      The <application>Gdk-Pixbuf</application> library is a toolkit for image
+      loading and pixel buffer manipulation. It is used by
+      <application>Gtk 2</application> and <application>Gtk 3</application> to
+      load and manipulate images. In the past it was distributed as part of
+      <application>Gtk 2</application> but it was split off into a separate
+      package in preparation for the change to <application>Gtk 3</application>.
+    </para>
 
     &lfs71_checked;
@@ -41,33 +46,50 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&gdk-pixbuf-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&gdk-pixbuf-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &gdk-pixbuf-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &gdk-pixbuf-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &gdk-pixbuf-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &gdk-pixbuf-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&gdk-pixbuf-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gdk-pixbuf-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gdk-pixbuf-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gdk-pixbuf-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gdk-pixbuf-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gdk-pixbuf-time;
+        </para>
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">gdk-pixbuf Dependencies</bridgehead>
-
-    <!-- Whole package is useless without jpeg, png and tiff loaders. -->
+    <bridgehead renderas="sect3">Gdk-Pixbuf Dependencies</bridgehead>
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
       <xref linkend="libjpeg"/>,
       <xref linkend="libpng"/>,
-      <xref linkend="libtiff"/>,
-      <xref linkend="pkgconfig"/> and
-      <xref linkend="xorg7-lib"/>
+      <xref linkend="libtiff"/> and
+      <xref linkend="pkgconfig"/>.
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="xorg7-lib"/>. <emphasis>Many</emphasis>
+      <application>Gtk</application> applications <emphasis>require</emphasis>
+      gdk-pixbuf-xlib.
     </para>
 
@@ -83,25 +105,29 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/gdk-pixbuf"/></para>
-
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/gdk-pixbuf"/>
+    </para>
   </sect2>
 
   <sect2 role="installation">
-    <title>Installation of gdk-pixbuf</title>
-
-    <para>Install <application>gdk-pixbuf</application> by running the
-    following commands:</para>
+    <title>Installation of Gdk-Pixbuf</title>
+
+    <para>
+      Install <application>Gdk-Pixbuf</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr --with-x11 &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem>
-    user:</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
@@ -109,14 +135,19 @@
     <title>Command Explanations</title>
 
-    <para><option>--with-x11</option>: This switch enables building of
-    gdk-pixbuf x11 library which is needed for some packages.</para>
-
-    <para><option>--with-libjasper</option>: If you've installed
-    <xref linkend="jasper"/> and you want gdk-pixbuf to use it to compile a
-    JPEG2000 image loader, pass this option to configure.</para>
+    <para>
+      <option>--with-x11</option>: This switch enables building of the
+      <application>Gdk-Pixbuf</application> <application>X11</application>
+      library which is needed for <emphasis>many</emphasis> packages.
+    </para>
+
+    <para>
+      <option>--with-libjasper</option>: If you've installed
+      <xref linkend="jasper"/> and you want
+      <application>Gdk-Pixbuf</application> to use it to compile a JPEG2000
+      image loader, pass this option to configure.
+    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>
-
   </sect2>
 
@@ -131,12 +162,16 @@
       <seglistitem>
         <seg>
-          gdk-pixbuf-csource, gdk-pixbuf-pixdata and gdk-pixbuf-query-loaders
+          gdk-pixbuf-csource,
+          gdk-pixbuf-pixdata and
+          gdk-pixbuf-query-loaders.
         </seg>
         <seg>
-          libgdk_pixbuf-2.0.so and libgdk_pixbuf_xlib-2.0.so
+          libgdk_pixbuf-2.0.so and
+          libgdk_pixbuf_xlib-2.0.so.
         </seg>
         <seg>
-          /usr/include/gdk-pixbuf-2.0, /usr/lib/gdk-pixbuf-2.0 and
-          /usr/share/gtk-doc/html/gdk-pixbuf
+          /usr/include/gdk-pixbuf-2.0,
+          /usr/lib/gdk-pixbuf-2.0 and
+          /usr/share/gtk-doc/html/gdk-pixbuf.
         </seg>
       </seglistitem>
@@ -151,6 +186,8 @@
         <term><command>gdk-pixbuf-csource</command></term>
         <listitem>
-          <para>is a small utility that generates C code containing images,
-          used for compiling images directly into programs.</para>
+          <para>
+            is a small utility that generates C code containing images, used
+            for compiling images directly into programs.
+          </para>
           <indexterm zone="gdk-pixbuf gdk-pixbuf-csource">
             <primary sortas="b-gdk-pixbuf-csource">gdk-pixbuf-csource</primary>
@@ -162,6 +199,8 @@
         <term><command>gdk-pixbuf-query-loaders</command></term>
         <listitem>
-          <para>collects information about loadable modules for gdk-pixbuf and
-          writes it to the default cache file location, or to stdout.</para>
+          <para>
+            collects information about loadable modules for gdk-pixbuf and
+            writes it to the default cache file location, or to stdout.
+          </para>
           <indexterm zone="gdk-pixbuf gdk-pixbuf-query-loaders">
             <primary sortas="b-gdk-pixbuf-query-loaders">gdk-pixbuf-query-loaders</primary>
@@ -173,5 +212,7 @@
         <term><filename class='libraryfile'>libgdk_pixbuf-2.0.so</filename></term>
         <listitem>
-          <para>contains functions that load and render images.</para>
+          <para>
+            contains functions that load and render images.
+          </para>
           <indexterm zone="gdk-pixbuf libgdk_pixbuf-2.0">
             <primary sortas="c-libgdk_pixbuf-2.0">libgdk_pixbuf-2.0.so</primary>
@@ -183,6 +224,8 @@
         <term><filename class='libraryfile'>libgdk_pixbuf_xlib-2.0.so</filename></term>
         <listitem>
-          <para>contains functions that manipulate images and interfaces with
-          xlib.</para>
+          <para>
+            contains functions that manipulate images and interfaces with
+            <application>Xlib</application>.
+          </para>
           <indexterm zone="gdk-pixbuf libgdk_pixbuf_xlib-2.0">
             <primary sortas="c-libgdk_pixbuf_xlib-2.0">libgdk_pixbuf_xlib-2.0.so</primary>
@@ -190,8 +233,5 @@
         </listitem>
       </varlistentry>
-
     </variablelist>
-
-  </sect2>
-
+  </sect2>
 </sect1>