Index: connect/connect.xml
===================================================================
--- connect/connect.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/connect.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
 <part id="connect" xreflabel="Connecting to a Network">
 <?dbhtml filename="connect.html" dir="connect"?>
@@ -9,7 +16,7 @@
 the most popular methods in this chapter.</para></partintro>
 
-&connect-dialup;
-&connect-dhcp;
-&connect-other;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dialup/dialup.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp/dhcp.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="other/other.xml"/>  
 
 </part>
Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dhcp/dhcp-client.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <sect1 id="connect-dhcp-client">
 <?dbhtml filename="dhcpclient.html"?>
Index: connect/dhcp/dhcp.xml
===================================================================
--- connect/dhcp/dhcp.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dhcp/dhcp.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="connect-dhcp">
 <?dbhtml filename="dhcp.html"?>
@@ -19,6 +26,6 @@
 client of your choice.</para>
 
-&connect-dhcp-client;
-&dhcpcd;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp-client.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcpcd.xml"/>  
 
 </chapter>
Index: connect/dhcp/dhcpcd.xml
===================================================================
--- connect/dhcp/dhcpcd.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dhcp/dhcpcd.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,11 +1,159 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+ 
+  <!ENTITY dhcpcd-download-http "http://www.phystech.com/ftp/dhcpcd-&dhcpcd-version;.tar.gz">
+  <!ENTITY dhcpcd-download-ftp  "ftp://ftp.phystech.com/pub/dhcpcd-&dhcpcd-version;.tar.gz">
+  <!ENTITY dhcpcd-size          "145 KB">
+  <!ENTITY dhcpcd-buildsize     "868 KB">
+  <!ENTITY dhcpcd-time          "0.04 SBU">
+]>
+
 <sect1 id="dhcpcd" xreflabel="dhcpcd-&dhcpcd-version;">
 <?dbhtml filename="dhcpcd.html"?>
 <title>dhcpcd-&dhcpcd-version;</title>
 
-&dhcpcd-intro;
-&dhcpcd-inst;
-&dhcpcd-exp;
-&dhcpcd-config;
-&dhcpcd-desc;
+<sect2>
+<title>Introduction to <application>dhcpcd</application></title>
+
+<para>The <application>dhcpcd</application> package contains the
+<command>dhcpcd</command> client. This is useful for connecting your computer 
+to a network which uses <acronym>DHCP</acronym> to assign network addresses.
+</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&dhcpcd-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&dhcpcd-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &dhcpcd-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&dhcpcd-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&dhcpcd-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch:
+<ulink url="&patch-root;/dhcpcd-1.3.22-pl4-fhs-1.patch"/></para></listitem>
+</itemizedlist>
+</sect3>
+
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>dhcpcd</application></title>
+
+<para>Install <application>dhcpcd</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch &amp;&amp;
+./configure --prefix="" --sysconfdir=/var/lib \
+--mandir=/usr/share/man &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch
+</command>: <application>Dhcpcd</application> unpatched puts all configuration 
+and temporary files in <filename>/etc/dhcpc</filename>. This becomes very 
+annoying when <application>dhcpcd</application> tells you it's running and it's 
+not.  You look in <filename class="directory">/var/run</filename> for
+the <filename>PID</filename> file, but it's not 
+there, the <filename>PID</filename> file that needs deleting is in
+<filename class="directory">/etc/dhcpc</filename>. 
+This patch brings this program into <acronym>FHS</acronym> compliance, but more 
+importantly, puts files where you expect them to be.</para>
+
+<para><parameter>--prefix=""</parameter>: There may be a good reason for
+abandoning the normal <acronym>BLFS</acronym> convention of using
+<parameter>--prefix=/usr</parameter> here.  If you are installing 
+<acronym>DHCP</acronym>, it is likely that it is 
+required during the boot process and 
+<filename class="directory">/usr</filename> may be network 
+mounted, in which case <command>dhcpcd</command> wouldn't be available due to 
+being on the network!  Therefore, depending on your situation, you may want it 
+to be installed in <filename class="directory">/sbin</filename> or 
+<filename class="directory">/usr/sbin</filename>.  This command installs to 
+<filename class="directory">/sbin</filename>.</para>
+
+<para><parameter>--sysconfdir=/var/lib</parameter>: This command installs
+configuration files in the <filename class="directory">/var/lib</filename>
+directory.</para>
+
+<para><parameter>--mandir=/usr/share/man</parameter>: This command
+installs the man pages to the <filename class="directory">/usr/share/man</filename>
+directory.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>dhcpcd</application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/var/lib/dhcpc/*</filename></para></sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>To configure <command>dhcpcd</command>, you need to first install
+the network service script,
+<filename>/etc/sysconfig/network-devices/services/dhcpcd</filename>
+included in the <xref linkend="intro-important-bootscripts"/> package.</para>
+
+<screen><userinput><command>make install-service-dhcpcd</command></userinput></screen>
+
+<para>Now create the <filename>ifconfig.eth0</filename> configuration
+file using the following commands.  Adjust appropriately for additional 
+interfaces.</para>
+
+<para><emphasis>Note:</emphasis> This will overwrite any existing file.</para>
+
+<screen><userinput><command>cat &gt; /etc/sysconfig/network-devices/ifconfig.eth0 &lt;&lt; "EOF"</command>
+ONBOOT=yes
+DHCP_START="<replaceable>[insert appropriate start options here]</replaceable>"
+DHCP_STOP="-k <replaceable>[insert other stop options here]</replaceable>"
+SERVICE=dhcpcd
+<command>EOF</command></userinput></screen>
+
+<para>For more information on the appropriate
+<envar>DHCP_START</envar> and <envar>DHCP_STOP</envar>
+values, examine the man page for <command>dhcpcd</command>.</para>
+
+<para>Finally, if the <acronym>DHCP</acronym> configured interface is
+used as your default gateway, you should remove the GATEWAY and GATEWAY_IF
+variables from <filename>/etc/sysconfig/network</filename>: </para>
+
+<screen><userinput><command>sed -i "s/GATEWAY/#&amp;/" /etc/sysconfig/network</command></userinput></screen>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>dhcpcd</application> package contains <command>dhcpcd</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>dhcpcd</title>
+<para><command>dhcpcd</command> is an implementation of the <acronym>DHCP
+</acronym> client specified in <acronym>RFC</acronym>2131 and
+<acronym>RFC</acronym>1541 (depending on which options are specified).</para>
+</sect3>
+
+</sect2>
 
 </sect1>
Index: connect/dialup/dialup.xml
===================================================================
--- connect/dialup/dialup.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dialup/dialup.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,8 +1,15 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="connect-dialup">
 <?dbhtml filename="dialup.html"?>
 <title>Dial-up networking</title>
 
-&ppp;
-&wvdial;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppp.xml"/> 
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="wvdial.xml"/> 
 
 </chapter>
Index: connect/dialup/ppp.xml
===================================================================
--- connect/dialup/ppp.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dialup/ppp.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,10 +1,121 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+ 
+  <!ENTITY ppp-download-http "http://ccache.samba.org/ftp/ppp/ppp-&ppp-version;.tar.gz">
+  <!ENTITY ppp-download-ftp  "ftp://ftp.samba.org/pub/ppp/ppp-&ppp-version;.tar.gz">
+  <!ENTITY ppp-size          "757 KB">
+  <!ENTITY ppp-buildsize     "7.4 MB">
+  <!ENTITY ppp-time          "0.13 SBU">
+]>
+
 <sect1 id="ppp" xreflabel="PPP-&ppp-version;">
 <?dbhtml filename="ppp.html"?>
 <title>PPP-&ppp-version;</title>
 
-&ppp-intro;
-&ppp-inst;
-&ppp-config;
-&ppp-desc;
+<sect2>
+<title>Introduction to <application><acronym>PPP</acronym></application></title>
+
+<para>The <application><acronym>PPP</acronym></application> package contains 
+the <command>pppd</command> daemon and the <command>chat</command> program.
+This is used for connecting to other machines; often for connecting to
+the Internet via a dial-up or <acronym>PPPoE</acronym> connection to an 
+<acronym>ISP</acronym>.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&ppp-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&ppp-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &ppp-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&ppp-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&ppp-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch:
+<ulink
+url="&patch-root;/ppp-&ppp-version;-nobpf-3.patch"/></para></listitem>
+</itemizedlist>
+</sect3>
+
+<sect3><title><application>ppp</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libpcap"/></para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>PPP</acronym></application></title>
+
+<note><para><application><acronym>PPP</acronym></application> support must be 
+compiled into the kernel or available as a kernel module.</para></note>
+
+<para>Install <application><acronym>PPP</acronym></application> by running the 
+following commands:</para>
+
+<screen><userinput><command>patch -Np1 -i ../ppp-&ppp-version;-nobpf-3.patch &amp;&amp;
+./configure &amp;&amp;
+make ETCDIR=/etc/ppp &amp;&amp;
+make ETCDIR=/etc/ppp install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application><acronym>PPP</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/ppp/*</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>The <application><acronym>PPP</acronym></application> daemon
+requires very little configuration.  The main trick is scripting the 
+connection.  This can be done either using the chat program which comes with 
+this package or by using <xref linkend="wvdial"/>.</para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>PPP</acronym></application> package contains 
+the <command>chat</command>,
+<command>pppd</command>, <command>pppdump</command> and
+<command>pppstats</command> programs.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>chat</title>
+<para>The <command>chat</command> program defines a conversational exchange 
+between the computer and the modem.  Its primary purpose is to establish the 
+connection between the Point-to-Point Protocol  Daemon
+(<acronym>PPPD</acronym>)  and  the remote's <command>pppd</command> process.
+</para></sect3>
+
+<sect3><title>pppd</title>
+<para><command>pppd</command> is the Point to Point Protocol daemon.</para></sect3>
+
+<sect3><title>pppdump</title>
+<para><command>pppdump</command> is used to convert
+<application><acronym>PPP</acronym></application> record files 
+to a readable format.</para></sect3>
+
+<sect3><title>pppstats</title>
+<para><command>pppstats</command> is used to print
+<application><acronym>PPP</acronym></application> statistics.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: connect/dialup/wvdial.xml
===================================================================
--- connect/dialup/wvdial.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/dialup/wvdial.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,10 +1,97 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+ 
+  <!ENTITY wvdial-download-http "http://open.nit.ca/download/wvdial-&wvdial-version;.tar.gz">
+  <!ENTITY wvdial-download-ftp  "ftp://ftp.ing-steen.se/pub/unix/unsort/wvdial-&wvdial-version;.tar.gz">
+  <!ENTITY wvdial-size          "66 KB">
+  <!ENTITY wvdial-buildsize     "2.3 MB">
+  <!ENTITY wvdial-time          "0.06 SBU">
+]>
+
 <sect1 id="wvdial" xreflabel="WvDial-&wvdial-version;">
 <?dbhtml filename="wvdial.html"?>
 <title>WvDial-&wvdial-version;</title>
 
-&wvdial-intro;
-&wvdial-inst;
-&wvdial-config;
-&wvdial-desc;
+<sect2>
+<title>Introduction to <application>WvDial</application></title>
+
+<para>The <application>WvDial</application> package contains a no-nonsense, 
+quick and easy to use alternative to <command>chat</command> and
+<command>pppd</command> scripts. If you simply want to dial a modem 
+without the fuss and hassle of <command>chat</command> issues, then you'll 
+want this.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&wvdial-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&wvdial-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &wvdial-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &wvdial-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &wvdial-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>WvDial</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="wvstreams"/> and <xref linkend="ppp"/>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>WvDial</application></title>
+
+<para>Install <application>WvDial</application> by running the following commands:</para>
+
+<screen><userinput><command>make PREFIX=/usr &amp;&amp;
+make PREFIX=/usr install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>WvDial</application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/wvdial.conf</filename>, 
+<filename>/etc/ppp/peers/*</filename></para></sect3>
+
+<sect3><title>Configuration Information</title>
+
+<screen><userinput><command>touch /etc/wvdial.conf &amp;&amp;
+wvdialconf /etc/wvdial.conf</command></userinput></screen>
+<para><command>wvdialconf</command> will test that you have a working modem 
+and try to determine its exact setup. You will then need to enter your
+<acronym>ISP</acronym>'s phone number, login name and password into the
+<filename>/etc/wvdial.conf</filename> file.</para>
+
+<para>You then start wvdial with:</para>
+<screen><userinput><command>wvdial</command></userinput></screen>
+
+<para>For more information, examine the wvdialconf, wvdial.conf and wvdial man pages.</para>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>WvDial</application> package contains the <command>
+wvdial</command> and <command>wvdialconf</command> programs.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>wvdial</title>
+<para>Starts a <acronym>PPP</acronym> connection.</para></sect3>
+
+<sect3><title>wvdialconf</title>
+<para>Automates the configuration of <command>wvdial</command>.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: connect/other/other.xml
===================================================================
--- connect/other/other.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/other/other.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="connect-other">
 <?dbhtml filename="other.html"?>
@@ -9,6 +16,5 @@
 and will be included in future books, if available.</para>
 
-<!--&connect-other-isdn;-->
-&pppoe;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pppoe.xml"/> 
 
 </chapter>
Index: connect/other/pppoe.xml
===================================================================
--- connect/other/pppoe.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ connect/other/pppoe.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -1,11 +1,176 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+ 
+  <!ENTITY pppoe-download-http "http://www.roaringpenguin.com/products/rp-pppoe/rp-pppoe-&pppoe-version;.tar.gz">
+  <!ENTITY pppoe-download-ftp  "ftp://ftp.rutgers.edu/pub/slackware/slackware_source/n/rp-pppoe/rp-pppoe-&pppoe-version;.tar.gz">
+  <!ENTITY pppoe-size          "185 KB">
+  <!ENTITY pppoe-buildsize     "2.2 MB">
+  <!ENTITY pppoe-time          "0.05 SBU">
+]>
+
 <sect1 id="pppoe" xreflabel="RP-PPPoE-&pppoe-version;">
 <?dbhtml filename="pppoe.html"?>
 <title>RP-PPPoE-&pppoe-version;</title>
 
-&pppoe-intro;
-&pppoe-inst;
-&pppoe-exp;
-&pppoe-config;
-&pppoe-desc;
+<sect2>
+<title>Introduction to <application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application></title>
+
+<para>The Roaring Penguin <application><acronym>PPPoE</acronym></application> 
+package contains both a client and a server component that works with the 
+client. The client allows you to connect to large networks that use the 
+<acronym>PPPoE</acronym> protocol, common among <acronym>ADSL</acronym> 
+providers.  The server component runs alongside the client, 
+allowing you to configure other clients that send out a configuration 
+request.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&pppoe-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&pppoe-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &pppoe-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&pppoe-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&pppoe-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="ppp"/></para></sect4>
+</sect3>
+
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application></title>
+
+<para><emphasis>Note: </emphasis> If you plan on using kernel-mode PPPoE, 
+this package is no longer explicitly needed.  However, it is recomended
+for ease of configuration.   Additional information about kernel mode 
+<acronym>PPPoE</acronym> can be found in 
+<filename>rp-pppoe-&pppoe-version;/doc/KERNEL-MODE-PPPOE</filename>.</para>
+
+<para>Install <application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application> by running 
+the following commands:</para>
+
+<screen><userinput><command>cd src &amp;&amp;
+./configure &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para>These are the standard installation commands that will install into
+the <filename>/usr</filename> prefix.  You can optionally use the 
+<command>go</command> script in the root of the source tree, to
+run the same commands, which are then immediately followed by the 
+<command>adsl-setup</command> script.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/ppp/pppoe.conf</filename>, 
+<filename>/etc/ppp/firewall-standalone</filename>, 
+<filename>/etc/ppp/firewall-masq</filename>, 
+<filename>/etc/ppp/pppoe-server-options</filename>, 
+<filename>/etc/resolv.conf</filename>, 
+<filename>/etc/ppp/pap-seecrets</filename>, 
+<filename>/etc/ppp/chap-secrets</filename></para></sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>To configure <application><acronym>RP</acronym>-<acronym>PPPoE</acronym>
+</application> after installation, you should run the <command>adsl-setup
+</command> script.</para>
+
+<para>When configuring your connection, you will need to have your 
+<acronym>ISP</acronym>'s nameserver information available, as well as your 
+username and password.  You will also be asked whether to configure a 
+dial-on-demand or a constant connection.  If your service provider does not 
+charge by the minute, it is usually good to have a bootscript handle the 
+connection for you.  You can, of course, choose not to install the 
+following script, and start your connection manually with the 
+<command>adsl-start</command> script.</para>
+
+<para><emphasis>Optionally</emphasis> install the 
+<filename>/etc/sysconfig/network-devices/services/pppoe</filename> service 
+script included with the <xref linkend="intro-important-bootscripts"/> 
+package.</para>
+
+<screen><userinput><command>make install-service-pppoe</command></userinput></screen>
+
+<para>Now create the config file for use with the <filename>pppoe</filename> 
+service script:</para>
+
+<screen><userinput><command>cat &gt; /etc/sysconfig/network-devices/ifconfig.pppoe &lt;&lt; "EOF"</command>
+ONBOOT=yes
+SERVICE=pppoe
+<command>EOF</command></userinput></screen>
+
+<para>Also, if you had previously configured the network interface that will now
+use <acronym>PPPoE</acronym>, you should remove the interface configuration
+files for that interface:
+<filename>/etc/sysconfig/network-devices/ifconfig.eth&lt;X&gt;
+</filename>.</para>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>RP</acronym>-<acronym>PPPoE</acronym></application> package 
+contains <command>adsl-setup</command>, <command>adsl-start</command>, 
+<command>adsl-status</command>, <command>adsl-stop</command>, <command>
+pppoe</command>, <command>pppoe-relay</command>, <command>pppoe-server
+</command> and <command>pppoe-sniff</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>adsl-setup</title>
+<para>A script for configuring the client.  Configuration is then stored
+in <filename>/etc/ppp/pppoe.conf</filename>.</para></sect3>
+
+<sect3><title>adsl-start</title>
+<para><command>adsl-start</command> starts the client using the options 
+specified in <filename>/etc/ppp/pppoe.conf</filename>.</para></sect3>
+
+<sect3><title>adsl-status</title>
+<para><command>adsl-status</command> displays the status of the
+<acronym>ADSL</acronym> connection.</para></sect3>
+
+<sect3><title>adsl-stop</title>
+<para><command>adsl-stop</command> stops the client.</para></sect3>
+
+<sect3><title>pppoe</title>
+<para>This is the client itself. Generally it should not be started on its 
+own.</para></sect3>
+
+<sect3><title>pppoe-relay</title>
+<para><command>pppoe-relay</command> starts the server relay agent.</para></sect3>
+
+<sect3><title>pppoe-server</title>
+<para><command>pppoe-server</command> starts the server component.</para></sect3>
+
+<sect3><title>pppoe-sniff</title>
+<para>A small network sniffer designed to assist in setting <envar>PPPOE_EXTRA
+</envar> settings.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: general.ent
===================================================================
--- general.ent	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ general.ent	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -49,4 +49,19 @@
 <!-- Part III -->
 
+<!-- Part IV -->
+
+<!-- Chapter 13 -->
+<!ENTITY ppp-version       "2.4.2"> 
+<!ENTITY wvdial-version    "1.53"> 
+
+<!-- Chapter 14 -->
+<!ENTITY dhcp-version      "3.0pl2"> 
+<!ENTITY dhcpcd-version    "1.3.22-pl4">   
+
+<!-- Chapter 15 -->
+<!ENTITY pppoe-version     "3.5"> 
+
+
+
 
 <!ENTITY gnome-version     "2.6">
Index: index.xml
===================================================================
--- index.xml	(revision 8e14c82463b34d7f242800b2d619ebae4afc2bef)
+++ index.xml	(revision 246c904b82dfea1a2752df2d957cb58ec6b352e6)
@@ -31,5 +31,5 @@
 %postlfs; -->
 %general;
-%connect;
+<!-- %connect; -->
 %basicnet;
 %server;
@@ -57,5 +57,6 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="postlfs/postlfs.xml"/>
 &general;
-&connect;
+
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="connect/connect.xml"/>
 &basicnet;
 &server;